/*
 * dp83847.h
 *
 * Eric Gumtow egumtow@netapp.com
 * March, 2004
 *
 * Copyright 2005 Eric Gumtow, Network Appliance, Inc.
 *
 * Most of the register definitions on the dp83847 are the same
 * as the dp83843, which are already defined in ibm_ocp_phy.[ch].
 * We'll use those defines when we can.  In this file I'll define
 * the registers that are different, and we'll use them when we 
 * have to.
 *
 * Version 1.0: Eric 
 * 
 */

#ifndef _DP83847_H_
#define _DP83847_H_


/* software-visible hardware identification number */

#define PHY_DP83847_ID   0x20005c30


/* new registers */

#define PHY_DP83847_10BTSCR   0x1a
#define PHY_DP83847_CDCTRL    0x1b


/* status register bit definitions */

#define PHY_DP83847_RX_ERR                 0x2000
#define PHY_DP83847_POLARITY_STAT          0x1000
#define PHY_DP83847_FALSE_CARRIER_SENSE    0x0800
#define PHY_DP83847_SIGNAL_DETECT          0x0400
#define PHY_DP83847_DESCRAM_LOCK           0x0200
#define PHY_DP83847_PAGE_RX                0x0100
#define PHY_DP83847_REMOTE_FAULT           0x0040
#define PHY_DP83847_JABBER_DETECT          0x0020
#define PHY_DP83847_AUTO_NEG_COMPLETE      0x0010

/* PCS sub-layer configuration and status register bit definitions */

#define PHY_DP83847_BYP_4B5B          0x1000
#define PHY_DP83847_FREE_CLK          0x0800
#define PHY_DP83847_TQ_EN             0x0400
#define PHY_DP83847_SD_FORCE_PMA      0x0200
#define PHY_DP83847_SD_OPTION         0x0100
#define PHY_DP83847_FORCE_100_OK      0x0020
#define PHY_DP83847_NRZI_BYPASS       0x0004
#define PHY_DP83847_SCRAM_BYPASS      0x0002
#define PHY_DP83847_DESCRAM_BYPASS    0x0001

/* phy control register bit definitions */

#define PHY_DP83847_PSR_15       0x0800
#define PHY_DP83847_BIST_STAT    0x0400
#define PHY_DP83847_BIST_START   0x0200
#define PHY_DP83847_BP_STRETCH   0x0100
#define PHY_DP83847_PAUSE_STS    0x0080
#define PHY_DP83847_LED_CNFG     0x0020

/* 10base-T status / control register bit definitions */

#define PHY_DP83847_LOOPBACK_10_DIS    0x0100
#define PHY_DP83847_LP_DIS             0x0080
#define PHY_DP83847_FORCE_LINK_10      0x0040
#define PHY_DP83847_POLARITY           0x0010
#define PHY_DP83847_HEARTBEAT_DIS      0x0002
#define PHY_DP83847_JABBER_DIS         0x0001

/* CD test control register bit definitions */

#define PHY_DP83847_CD_ENABLE             0x8000
#define PHY_DP83847_DCD_COMP              0x4000
#define PHY_DP83847_FIL_TTL               0x2000
#define PHY_DP83847_RISE_TIME_1           0x1000
#define PHY_DP83847_RISE_TIME_0           0x0800
#define PHY_DP83847_FALL_TIME_1           0x0400
#define PHY_DP83847_FALL_TIME_0           0x0200
#define PHY_DP83847_CD_TEST_ENABLE        0x0100
#define PHY_DP83847_CD_PATT_ENABLE_10     0x0010
#define PHY_DP83847_CD_PATT_ENABLE_100    0x0008
#define PHY_DP83847_10_MEG_PATT_GAP       0x0004
#define PHY_DP83847_CD_PATT_SET_1         0x0002
#define PHY_DP83847_CD_PATT_SET_0         0x0001


#endif
