
/*
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 2002 ATI Technologies, Inc.
 *
 */


/* REGISTER:  MIPS_CNTL */

#define MIPS_CNTL__SIZE                                              32
#define MIPS_CNTL__BYTELANE                                          0
#define MIPS_CNTL__WRMASK                                            0x00317b15
#define MIPS_CNTL__RDMASK                                            0x0011ff15
#define MIPS_CNTL__WOMASK                                            0x00200000

#define mmMIPS_CNTL                                                  0x3810

#define MIPS_CNTL__COLD_RESET__SIZE                                  1
#define MIPS_CNTL__COLD_RESET__MASK                                  0x00000001
#define MIPS_CNTL__COLD_RESET__SHIFT                                 0
#define MIPS_CNTL__NMI_INT_EN__SIZE                                  1
#define MIPS_CNTL__NMI_INT_EN__MASK                                  0x00000004
#define MIPS_CNTL__NMI_INT_EN__SHIFT                                 2
#define MIPS_CNTL__WARM_RESET__SIZE                                  1
#define MIPS_CNTL__WARM_RESET__MASK                                  0x00000010
#define MIPS_CNTL__WARM_RESET__SHIFT                                 4
#define MIPS_CNTL__EJ_PCI_EN__SIZE                                   1
#define MIPS_CNTL__EJ_PCI_EN__MASK                                   0x00000100
#define MIPS_CNTL__EJ_PCI_EN__SHIFT                                  8
#define MIPS_CNTL__EJ_TRST_N__SIZE                                   1
#define MIPS_CNTL__EJ_TRST_N__MASK                                   0x00000200
#define MIPS_CNTL__EJ_TRST_N__SHIFT                                  9
#define MIPS_CNTL__EJ_TDO_TRI__SIZE                                  1
#define MIPS_CNTL__EJ_TDO_TRI__MASK                                  0x00000400
#define MIPS_CNTL__EJ_TDO_TRI__SHIFT                                 10
#define MIPS_CNTL__EJ_DINT__SIZE                                     1
#define MIPS_CNTL__EJ_DINT__MASK                                     0x00000800
#define MIPS_CNTL__EJ_DINT__SHIFT                                    11
#define MIPS_CNTL__EJ_TCLK__SIZE                                     1
#define MIPS_CNTL__EJ_TCLK__MASK                                     0x00001000
#define MIPS_CNTL__EJ_TCLK__SHIFT                                    12
#define MIPS_CNTL__EJ_TMS__SIZE                                      1
#define MIPS_CNTL__EJ_TMS__MASK                                      0x00002000
#define MIPS_CNTL__EJ_TMS__SHIFT                                     13
#define MIPS_CNTL__EJ_TDI__SIZE                                      1
#define MIPS_CNTL__EJ_TDI__MASK                                      0x00004000
#define MIPS_CNTL__EJ_TDI__SHIFT                                     14
#define MIPS_CNTL__EJ_TDO__SIZE                                      1
#define MIPS_CNTL__EJ_TDO__MASK                                      0x00008000
#define MIPS_CNTL__EJ_TDO__SHIFT                                     15
#define MIPS_CNTL__MIPS_PM_CNT_SEL__SIZE                             1
#define MIPS_CNTL__MIPS_PM_CNT_SEL__MASK                             0x00010000
#define MIPS_CNTL__MIPS_PM_CNT_SEL__SHIFT                            16
#define MIPS_CNTL__MIPS_PM_CNT_EN__SIZE                              1
#define MIPS_CNTL__MIPS_PM_CNT_EN__MASK                              0x00100000
#define MIPS_CNTL__MIPS_PM_CNT_EN__SHIFT                             20
#define MIPS_CNTL__MIPS_PM_CNT_CLR__SIZE                             1
#define MIPS_CNTL__MIPS_PM_CNT_CLR__MASK                             0x00200000
#define MIPS_CNTL__MIPS_PM_CNT_CLR__SHIFT                            21




/* REGISTER:  HBIU_VENDOR_ID */

#define HBIU_VENDOR_ID__SIZE                                         16
#define HBIU_VENDOR_ID__BYTELANE                                     0
#define HBIU_VENDOR_ID__WRMASK                                       0x00000000
#define HBIU_VENDOR_ID__RDMASK                                       0x0000ffff
#define HBIU_VENDOR_ID__WOMASK                                       0x00000000

#define pcihbiuHBIU_VENDOR_ID                                        0x0000
#define mmHBIU_VENDOR_ID                                             0x0F00

#define HBIU_VENDOR_ID__VENDOR_ID__SIZE                              16
#define HBIU_VENDOR_ID__VENDOR_ID__MASK                              0x0000ffff
#define HBIU_VENDOR_ID__VENDOR_ID__SHIFT                             0

/* REGISTER:  HBIU_DEVICE_ID */

#define HBIU_DEVICE_ID__SIZE                                         16
#define HBIU_DEVICE_ID__BYTELANE                                     2
#define HBIU_DEVICE_ID__WRMASK                                       0x00000000
#define HBIU_DEVICE_ID__RDMASK                                       0x0000ffff
#define HBIU_DEVICE_ID__WOMASK                                       0x00000000

#define pcihbiuHBIU_DEVICE_ID                                        0x0002
#define mmHBIU_DEVICE_ID                                             0x0F02

#define HBIU_DEVICE_ID__DEVICE_ID__SIZE                              16
#define HBIU_DEVICE_ID__DEVICE_ID__MASK                              0x0000ffff
#define HBIU_DEVICE_ID__DEVICE_ID__SHIFT                             0


/* REGISTER:  GPIO_SEL */

#define GPIO_SEL__SIZE                                               32
#define GPIO_SEL__BYTELANE                                           0
#define GPIO_SEL__WRMASK                                             0x0003ffff
#define GPIO_SEL__RDMASK                                             0x0003ffff
#define GPIO_SEL__WOMASK                                             0x00000000

#define mmGPIO_SEL                                                   0x0880

#define GPIO_SEL__GPIO_SELECTION__SIZE                               18
#define GPIO_SEL__GPIO_SELECTION__MASK                               0x0003ffff
#define GPIO_SEL__GPIO_SELECTION__SHIFT                              0

/* REGISTER:  GPIOA_DATA */

#define GPIOA_DATA__SIZE                                             32
#define GPIOA_DATA__BYTELANE                                         0
#define GPIOA_DATA__WRMASK                                           0x00003fff
#define GPIOA_DATA__RDMASK                                           0x00003fff
#define GPIOA_DATA__WOMASK                                           0x00000000

#define mmGPIOA_DATA                                                 0x0884

#define GPIOA_DATA__GPIO_DATA__SIZE                                  14
#define GPIOA_DATA__GPIO_DATA__MASK                                  0x00003fff
#define GPIOA_DATA__GPIO_DATA__SHIFT                                 0

/* REGISTER:  GPIOA_DIR */

#define GPIOA_DIR__SIZE                                              32
#define GPIOA_DIR__BYTELANE                                          0
#define GPIOA_DIR__WRMASK                                            0x00003fff
#define GPIOA_DIR__RDMASK                                            0x00003fff
#define GPIOA_DIR__WOMASK                                            0x00000000

#define mmGPIOA_DIR                                                  0x0888

#define GPIOA_DIR__GPIO_DIRECTION__SIZE                              14
#define GPIOA_DIR__GPIO_DIRECTION__MASK                              0x00003fff
#define GPIOA_DIR__GPIO_DIRECTION__SHIFT                             0

/* REGISTER:  GPIOA_MASK */

#define GPIOA_MASK__SIZE                                             32
#define GPIOA_MASK__BYTELANE                                         0
#define GPIOA_MASK__WRMASK                                           0x00003fff
#define GPIOA_MASK__RDMASK                                           0x00003fff
#define GPIOA_MASK__WOMASK                                           0x00000000

#define mmGPIOA_MASK                                                 0x088C

#define GPIOA_MASK__GPIO_MASK__SIZE                                  14
#define GPIOA_MASK__GPIO_MASK__MASK                                  0x00003fff
#define GPIOA_MASK__GPIO_MASK__SHIFT                                 0

/* REGISTER:  GPIOB_DATA */

#define GPIOB_DATA__SIZE                                             32
#define GPIOB_DATA__BYTELANE                                         0
#define GPIOB_DATA__WRMASK                                           0x000fffff
#define GPIOB_DATA__RDMASK                                           0x000fffff
#define GPIOB_DATA__WOMASK                                           0x00000000

#define mmGPIOB_DATA                                                 0x0894

#define GPIOB_DATA__GPIO_DATA__SIZE                                  20
#define GPIOB_DATA__GPIO_DATA__MASK                                  0x000fffff
#define GPIOB_DATA__GPIO_DATA__SHIFT                                 0

/* REGISTER:  GPIOB_DIR */

#define GPIOB_DIR__SIZE                                              32
#define GPIOB_DIR__BYTELANE                                          0
#define GPIOB_DIR__WRMASK                                            0x000fffff
#define GPIOB_DIR__RDMASK                                            0x000fffff
#define GPIOB_DIR__WOMASK                                            0x00000000

#define mmGPIOB_DIR                                                  0x0898

#define GPIOB_DIR__GPIO_DIRECTION__SIZE                              20
#define GPIOB_DIR__GPIO_DIRECTION__MASK                              0x000fffff
#define GPIOB_DIR__GPIO_DIRECTION__SHIFT                             0

/* REGISTER:  GPIOB_MASK */

#define GPIOB_MASK__SIZE                                             32
#define GPIOB_MASK__BYTELANE                                         0
#define GPIOB_MASK__WRMASK                                           0x000fffff
#define GPIOB_MASK__RDMASK                                           0x000fffff
#define GPIOB_MASK__WOMASK                                           0x00000000

#define mmGPIOB_MASK                                                 0x089C

#define GPIOB_MASK__GPIO_MASK__SIZE                                  20
#define GPIOB_MASK__GPIO_MASK__MASK                                  0x000fffff
#define GPIOB_MASK__GPIO_MASK__SHIFT                                 0

/* REGISTER:  GPIOA_DATA_FROM_PAD */

#define GPIOA_DATA_FROM_PAD__SIZE                                    32
#define GPIOA_DATA_FROM_PAD__BYTELANE                                0
#define GPIOA_DATA_FROM_PAD__WRMASK                                  0x00000000
#define GPIOA_DATA_FROM_PAD__RDMASK                                  0x00003fff
#define GPIOA_DATA_FROM_PAD__WOMASK                                  0x00000000

#define mmGPIOA_DATA_FROM_PAD                                        0x08A0

#define GPIOA_DATA_FROM_PAD__GPIO_DATA_A__SIZE                       14
#define GPIOA_DATA_FROM_PAD__GPIO_DATA_A__MASK                       0x00003fff
#define GPIOA_DATA_FROM_PAD__GPIO_DATA_A__SHIFT                      0

/* REGISTER:  GPIOB_DATA_FROM_PAD */

#define GPIOB_DATA_FROM_PAD__SIZE                                    32
#define GPIOB_DATA_FROM_PAD__BYTELANE                                0
#define GPIOB_DATA_FROM_PAD__WRMASK                                  0x00000000
#define GPIOB_DATA_FROM_PAD__RDMASK                                  0x000fffff
#define GPIOB_DATA_FROM_PAD__WOMASK                                  0x00000000

#define mmGPIOB_DATA_FROM_PAD                                        0x08A4

#define GPIOB_DATA_FROM_PAD__GPIO_DATA_B__SIZE                       20
#define GPIOB_DATA_FROM_PAD__GPIO_DATA_B__MASK                       0x000fffff
#define GPIOB_DATA_FROM_PAD__GPIO_DATA_B__SHIFT                      0



/* REGISTER:  LED_BASE */

#define mmLED_BASE                                                   0x440000


/* REGISTER:  APER_PCU_IPA_ADDR */

#define APER_PCU_IPA_ADDR__SIZE                                      32
#define APER_PCU_IPA_ADDR__BYTELANE                                  0
#define APER_PCU_IPA_ADDR__WRMASK                                    0xffffffff
#define APER_PCU_IPA_ADDR__RDMASK                                    0xffffffff
#define APER_PCU_IPA_ADDR__WOMASK                                    0x00000000

#define mmAPER_PCU_IPA_ADDR                                          0x2800

#define APER_PCU_IPA_ADDR__BASE_ADDRESS__SIZE                        16
#define APER_PCU_IPA_ADDR__BASE_ADDRESS__MASK                        0x0000ffff
#define APER_PCU_IPA_ADDR__BASE_ADDRESS__SHIFT                       0
#define APER_PCU_IPA_ADDR__BASE_OUT__SIZE                            16
#define APER_PCU_IPA_ADDR__BASE_OUT__MASK                            0xffff0000
#define APER_PCU_IPA_ADDR__BASE_OUT__SHIFT                           16

/* REGISTER:  APER_PCU_IPA_CNTL */

#define APER_PCU_IPA_CNTL__SIZE                                      32
#define APER_PCU_IPA_CNTL__BYTELANE                                  0
#define APER_PCU_IPA_CNTL__WRMASK                                    0x0000000f
#define APER_PCU_IPA_CNTL__RDMASK                                    0x0000000f
#define APER_PCU_IPA_CNTL__WOMASK                                    0x00000000

#define mmAPER_PCU_IPA_CNTL                                          0x4404

#define APER_PCU_IPA_CNTL__APERSIZE__SIZE                            4
#define APER_PCU_IPA_CNTL__APERSIZE__MASK                            0x0000000f
#define APER_PCU_IPA_CNTL__APERSIZE__SHIFT                           0


/* REGISTER:  APER_PCU_SFLASH_ADDR */

#define APER_PCU_SFLASH_ADDR__SIZE                                   32
#define APER_PCU_SFLASH_ADDR__BYTELANE                               0
#define APER_PCU_SFLASH_ADDR__WRMASK                                 0xffffffff
#define APER_PCU_SFLASH_ADDR__RDMASK                                 0xffffffff
#define APER_PCU_SFLASH_ADDR__WOMASK                                 0x00000000

#define mmAPER_PCU_SFLASH_ADDR                                       0x2808

#define APER_PCU_SFLASH_ADDR__BASE_ADDRESS__SIZE                     16
#define APER_PCU_SFLASH_ADDR__BASE_ADDRESS__MASK                     0x0000ffff
#define APER_PCU_SFLASH_ADDR__BASE_ADDRESS__SHIFT                    0
#define APER_PCU_SFLASH_ADDR__BASE_OUT__SIZE                         16
#define APER_PCU_SFLASH_ADDR__BASE_OUT__MASK                         0xffff0000
#define APER_PCU_SFLASH_ADDR__BASE_OUT__SHIFT                        16

/* REGISTER:  APER_PCU_SFLASH_CNTL */

#define APER_PCU_SFLASH_CNTL__SIZE                                   32
#define APER_PCU_SFLASH_CNTL__BYTELANE                               0
#define APER_PCU_SFLASH_CNTL__WRMASK                                 0x0000000f
#define APER_PCU_SFLASH_CNTL__RDMASK                                 0x0000000f
#define APER_PCU_SFLASH_CNTL__WOMASK                                 0x00000000

#define mmAPER_PCU_SFLASH_CNTL                                       0x280C

#define APER_PCU_SFLASH_CNTL__APERSIZE__SIZE                         4
#define APER_PCU_SFLASH_CNTL__APERSIZE__MASK                         0x0000000f
#define APER_PCU_SFLASH_CNTL__APERSIZE__SHIFT                        0



/* REGISTER:  APER_PCU_PFLASH_ADDR */

#define APER_PCU_PFLASH_ADDR__SIZE                                   32
#define APER_PCU_PFLASH_ADDR__BYTELANE                               0
#define APER_PCU_PFLASH_ADDR__WRMASK                                 0xffffffff
#define APER_PCU_PFLASH_ADDR__RDMASK                                 0xffffffff
#define APER_PCU_PFLASH_ADDR__WOMASK                                 0x00000000

#define mmAPER_PCU_PFLASH_ADDR                                       0x2810

#define APER_PCU_PFLASH_ADDR__BASE_ADDRESS__SIZE                     16
#define APER_PCU_PFLASH_ADDR__BASE_ADDRESS__MASK                     0x0000ffff
#define APER_PCU_PFLASH_ADDR__BASE_ADDRESS__SHIFT                    0
#define APER_PCU_PFLASH_ADDR__BASE_OUT__SIZE                         16
#define APER_PCU_PFLASH_ADDR__BASE_OUT__MASK                         0xffff0000
#define APER_PCU_PFLASH_ADDR__BASE_OUT__SHIFT                        16

/* REGISTER:  APER_PCU_PFLASH_CNTL */

#define APER_PCU_PFLASH_CNTL__SIZE                                   32
#define APER_PCU_PFLASH_CNTL__BYTELANE                               0
#define APER_PCU_PFLASH_CNTL__WRMASK                                 0x0000000f
#define APER_PCU_PFLASH_CNTL__RDMASK                                 0x0000000f
#define APER_PCU_PFLASH_CNTL__WOMASK                                 0x00000000

#define mmAPER_PCU_PFLASH_CNTL                                       0x2814

#define APER_PCU_PFLASH_CNTL__APERSIZE__SIZE                         4
#define APER_PCU_PFLASH_CNTL__APERSIZE__MASK                         0x0000000f
#define APER_PCU_PFLASH_CNTL__APERSIZE__SHIFT                        0


/* REGISTER:  APER_CP_PCIC1_ADDR */

#define APER_CP_PCIC1_ADDR__SIZE                                     32
#define APER_CP_PCIC1_ADDR__BYTELANE                                 0
#define APER_CP_PCIC1_ADDR__WRMASK                                   0xffffffff
#define APER_CP_PCIC1_ADDR__RDMASK                                   0xffffffff
#define APER_CP_PCIC1_ADDR__WOMASK                                   0x00000000

#define mmAPER_CP_PCIC1_ADDR                                         0x4000

#define APER_CP_PCIC1_ADDR__BASE_ADDRESS__SIZE                       16
#define APER_CP_PCIC1_ADDR__BASE_ADDRESS__MASK                       0x0000ffff
#define APER_CP_PCIC1_ADDR__BASE_ADDRESS__SHIFT                      0
#define APER_CP_PCIC1_ADDR__BASE_OUT__SIZE                           16
#define APER_CP_PCIC1_ADDR__BASE_OUT__MASK                           0xffff0000
#define APER_CP_PCIC1_ADDR__BASE_OUT__SHIFT                          16



/* REGISTER:  APER_CP_PCIC1_CNTL */

#define APER_CP_PCIC1_CNTL__SIZE                                     32
#define APER_CP_PCIC1_CNTL__BYTELANE                                 0
#define APER_CP_PCIC1_CNTL__WRMASK                                   0x0000730f
#define APER_CP_PCIC1_CNTL__RDMASK                                   0x0000730f
#define APER_CP_PCIC1_CNTL__WOMASK                                   0x00000000

#define mmAPER_CP_PCIC1_CNTL                                         0x4004

#define APER_CP_PCIC1_CNTL__APERSIZE__SIZE                           4
#define APER_CP_PCIC1_CNTL__APERSIZE__MASK                           0x0000000f
#define APER_CP_PCIC1_CNTL__APERSIZE__SHIFT                          0
#define APER_CP_PCIC1_CNTL__SWAP__SIZE                               2
#define APER_CP_PCIC1_CNTL__SWAP__MASK                               0x00000300
#define APER_CP_PCIC1_CNTL__SWAP__SHIFT                              8
#define APER_CP_PCIC1_CNTL__PCI_ATYPE__SIZE                          3
#define APER_CP_PCIC1_CNTL__PCI_ATYPE__MASK                          0x00007000
#define APER_CP_PCIC1_CNTL__PCI_ATYPE__SHIFT                         12



/* REGISTER:  APER_CP_PCIC2_ADDR */

#define APER_CP_PCIC2_ADDR__SIZE                                     32
#define APER_CP_PCIC2_ADDR__BYTELANE                                 0
#define APER_CP_PCIC2_ADDR__WRMASK                                   0xffffffff
#define APER_CP_PCIC2_ADDR__RDMASK                                   0xffffffff
#define APER_CP_PCIC2_ADDR__WOMASK                                   0x00000000

#define mmAPER_CP_PCIC2_ADDR                                         0x4008

#define APER_CP_PCIC2_ADDR__BASE_ADDRESS__SIZE                       16
#define APER_CP_PCIC2_ADDR__BASE_ADDRESS__MASK                       0x0000ffff
#define APER_CP_PCIC2_ADDR__BASE_ADDRESS__SHIFT                      0
#define APER_CP_PCIC2_ADDR__BASE_OUT__SIZE                           16
#define APER_CP_PCIC2_ADDR__BASE_OUT__MASK                           0xffff0000
#define APER_CP_PCIC2_ADDR__BASE_OUT__SHIFT                          16



/* REGISTER:  APER_CP_PCIC2_CNTL */

#define APER_CP_PCIC2_CNTL__SIZE                                     32
#define APER_CP_PCIC2_CNTL__BYTELANE                                 0
#define APER_CP_PCIC2_CNTL__WRMASK                                   0x0000730f
#define APER_CP_PCIC2_CNTL__RDMASK                                   0x0000730f
#define APER_CP_PCIC2_CNTL__WOMASK                                   0x00000000

#define mmAPER_CP_PCIC2_CNTL                                         0x400C

#define APER_CP_PCIC2_CNTL__APERSIZE__SIZE                           4
#define APER_CP_PCIC2_CNTL__APERSIZE__MASK                           0x0000000f
#define APER_CP_PCIC2_CNTL__APERSIZE__SHIFT                          0
#define APER_CP_PCIC2_CNTL__SWAP__SIZE                               2
#define APER_CP_PCIC2_CNTL__SWAP__MASK                               0x00000300
#define APER_CP_PCIC2_CNTL__SWAP__SHIFT                              8
#define APER_CP_PCIC2_CNTL__PCI_ATYPE__SIZE                          3
#define APER_CP_PCIC2_CNTL__PCI_ATYPE__MASK                          0x00007000
#define APER_CP_PCIC2_CNTL__PCI_ATYPE__SHIFT                         12


/* REGISTER:  PCU_INT_CNTL */

#define PCU_INT_CNTL__SIZE                                           32
#define PCU_INT_CNTL__BYTELANE                                       0
#define PCU_INT_CNTL__WRMASK                                         0x007fff3f
#define PCU_INT_CNTL__RDMASK                                         0x007fff3f
#define PCU_INT_CNTL__WOMASK                                         0x00000000

#define mmPCU_INT_CNTL                                               0x0A10

#define PCU_INT_CNTL__DMA_INT_EN__SIZE                               1
#define PCU_INT_CNTL__DMA_INT_EN__MASK                               0x00000001
#define PCU_INT_CNTL__DMA_INT_EN__SHIFT                              0
#define PCU_INT_CNTL__UIRT_EN__SIZE                                  1
#define PCU_INT_CNTL__UIRT_EN__MASK                                  0x00000002
#define PCU_INT_CNTL__UIRT_EN__SHIFT                                 1
#define PCU_INT_CNTL__UART1_EN__SIZE                                 1
#define PCU_INT_CNTL__UART1_EN__MASK                                 0x00000004
#define PCU_INT_CNTL__UART1_EN__SHIFT                                2
#define PCU_INT_CNTL__UART2_EN__SIZE                                 1
#define PCU_INT_CNTL__UART2_EN__MASK                                 0x00000008
#define PCU_INT_CNTL__UART2_EN__SHIFT                                3
#define PCU_INT_CNTL__TIMER_GLOBAL_INT_EN__SIZE                      1
#define PCU_INT_CNTL__TIMER_GLOBAL_INT_EN__MASK                      0x00000010
#define PCU_INT_CNTL__TIMER_GLOBAL_INT_EN__SHIFT                     4
#define PCU_INT_CNTL__RTC_GLOBAL_INT_EN__SIZE                        1
#define PCU_INT_CNTL__RTC_GLOBAL_INT_EN__MASK                        0x00000020
#define PCU_INT_CNTL__RTC_GLOBAL_INT_EN__SHIFT                       5
#define PCU_INT_CNTL__FLEXBUS_INT_EN__SIZE                           8
#define PCU_INT_CNTL__FLEXBUS_INT_EN__MASK                           0x0000ff00
#define PCU_INT_CNTL__FLEXBUS_INT_EN__SHIFT                          8
#define PCU_INT_CNTL__I2C0_INT_EN__SIZE                              1
#define PCU_INT_CNTL__I2C0_INT_EN__MASK                              0x00010000
#define PCU_INT_CNTL__I2C0_INT_EN__SHIFT                             16
#define PCU_INT_CNTL__I2C1_INT_EN__SIZE                              1
#define PCU_INT_CNTL__I2C1_INT_EN__MASK                              0x00020000
#define PCU_INT_CNTL__I2C1_INT_EN__SHIFT                             17
#define PCU_INT_CNTL__SMCA_INT_EN__SIZE                              1
#define PCU_INT_CNTL__SMCA_INT_EN__MASK                              0x00040000
#define PCU_INT_CNTL__SMCA_INT_EN__SHIFT                             18
#define PCU_INT_CNTL__SMCB_INT_EN__SIZE                              1
#define PCU_INT_CNTL__SMCB_INT_EN__MASK                              0x00080000
#define PCU_INT_CNTL__SMCB_INT_EN__SHIFT                             19
#define PCU_INT_CNTL__SMCC_INT_EN__SIZE                              1
#define PCU_INT_CNTL__SMCC_INT_EN__MASK                              0x00100000
#define PCU_INT_CNTL__SMCC_INT_EN__SHIFT                             20
#define PCU_INT_CNTL__HDCP_AUTHORIZED_INT_EN__SIZE                   1
#define PCU_INT_CNTL__HDCP_AUTHORIZED_INT_EN__MASK                   0x00200000
#define PCU_INT_CNTL__HDCP_AUTHORIZED_INT_EN__SHIFT                  21
#define PCU_INT_CNTL__DVI_I2C_INT_EN__SIZE                           1
#define PCU_INT_CNTL__DVI_I2C_INT_EN__MASK                           0x00400000
#define PCU_INT_CNTL__DVI_I2C_INT_EN__SHIFT                          22

/* REGISTER:  MIPS_EXT_PCI_INT_CNTL */

#define MIPS_EXT_PCI_INT_CNTL__SIZE                                  32
#define MIPS_EXT_PCI_INT_CNTL__BYTELANE                              0
#define MIPS_EXT_PCI_INT_CNTL__WRMASK                                0x0000000f
#define MIPS_EXT_PCI_INT_CNTL__RDMASK                                0x0000000f
#define MIPS_EXT_PCI_INT_CNTL__WOMASK                                0x00000000

#define mmMIPS_EXT_PCI_INT_CNTL                                      0x0A30

#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR0_EN__SIZE                   1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR0_EN__MASK                   0x00000001
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR0_EN__SHIFT                  0
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR1_EN__SIZE                   1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR1_EN__MASK                   0x00000002
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR1_EN__SHIFT                  1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR2_EN__SIZE                   1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR2_EN__MASK                   0x00000004
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR2_EN__SHIFT                  2
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR3_EN__SIZE                   1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR3_EN__MASK                   0x00000008
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR3_EN__SHIFT                  3



/* REGISTER:  GEN_INT_CNTL */

#define GEN_INT_CNTL__SIZE                                           32
#define GEN_INT_CNTL__BYTELANE                                       0
#define GEN_INT_CNTL__WRMASK                                         0xbfc79f0f
#define GEN_INT_CNTL__RDMASK                                         0xbff79fff
#define GEN_INT_CNTL__WOMASK                                         0x00000000

#define mmGEN_INT_CNTL                                               0x0040
#define blockioGEN_INT_CNTL                                          0x0040

#define GEN_INT_CNTL__CRTC_VBLANK_INT_EN__SIZE                       1
#define GEN_INT_CNTL__CRTC_VBLANK_INT_EN__MASK                       0x00000001
#define GEN_INT_CNTL__CRTC_VBLANK_INT_EN__SHIFT                      0
#define GEN_INT_CNTL__CRTC_VLINE_INT_EN__SIZE                        1
#define GEN_INT_CNTL__CRTC_VLINE_INT_EN__MASK                        0x00000002
#define GEN_INT_CNTL__CRTC_VLINE_INT_EN__SHIFT                       1
#define GEN_INT_CNTL__CRTC_VSYNC_INT_EN__SIZE                        1
#define GEN_INT_CNTL__CRTC_VSYNC_INT_EN__MASK                        0x00000004
#define GEN_INT_CNTL__CRTC_VSYNC_INT_EN__SHIFT                       2
#define GEN_INT_CNTL__SNAPSHOT_INT_EN__SIZE                          1
#define GEN_INT_CNTL__SNAPSHOT_INT_EN__MASK                          0x00000008
#define GEN_INT_CNTL__SNAPSHOT_INT_EN__SHIFT                         3
#define GEN_INT_CNTL__HM_COM_MIPS_INT_EN__SIZE                       1
#define GEN_INT_CNTL__HM_COM_MIPS_INT_EN__MASK                       0x00000010
#define GEN_INT_CNTL__HM_COM_MIPS_INT_EN__SHIFT                      4
#define GEN_INT_CNTL__HM_COM_CPU_INT_EN__SIZE                        1
#define GEN_INT_CNTL__HM_COM_CPU_INT_EN__MASK                        0x00000020
#define GEN_INT_CNTL__HM_COM_CPU_INT_EN__SHIFT                       5
#define GEN_INT_CNTL__TPS_MIPS_EN__SIZE                              1
#define GEN_INT_CNTL__TPS_MIPS_EN__MASK                              0x00000040
#define GEN_INT_CNTL__TPS_MIPS_EN__SHIFT                             6
#define GEN_INT_CNTL__TPS_CPU_EN__SIZE                               1
#define GEN_INT_CNTL__TPS_CPU_EN__MASK                               0x00000080
#define GEN_INT_CNTL__TPS_CPU_EN__SHIFT                              7
#define GEN_INT_CNTL__VIDCAP_INT_EN__SIZE                            1
#define GEN_INT_CNTL__VIDCAP_INT_EN__MASK                            0x00000100
#define GEN_INT_CNTL__VIDCAP_INT_EN__SHIFT                           8
#define GEN_INT_CNTL__MPEG1_INT_EN__SIZE                             1
#define GEN_INT_CNTL__MPEG1_INT_EN__MASK                             0x00000200
#define GEN_INT_CNTL__MPEG1_INT_EN__SHIFT                            9
#define GEN_INT_CNTL__MPEG_INT_EN__SIZE                              1
#define GEN_INT_CNTL__MPEG_INT_EN__MASK                              0x00000400
#define GEN_INT_CNTL__MPEG_INT_EN__SHIFT                             10
#define GEN_INT_CNTL__FP2_DETECT_STAT_EN__SIZE                       1
#define GEN_INT_CNTL__FP2_DETECT_STAT_EN__MASK                       0x00000800
#define GEN_INT_CNTL__FP2_DETECT_STAT_EN__SHIFT                      11
#define GEN_INT_CNTL__VLB_OP_INT_EN__SIZE                            1
#define GEN_INT_CNTL__VLB_OP_INT_EN__MASK                            0x00001000
#define GEN_INT_CNTL__VLB_OP_INT_EN__SHIFT                           12
#define GEN_INT_CNTL__PCU_INT_EN__SIZE                               1
#define GEN_INT_CNTL__PCU_INT_EN__MASK                               0x00008000
#define GEN_INT_CNTL__PCU_INT_EN__SHIFT                              15
#define GEN_INT_CNTL__BUSMASTER_EOL_INT_EN__SIZE                     1
#define GEN_INT_CNTL__BUSMASTER_EOL_INT_EN__MASK                     0x00010000
#define GEN_INT_CNTL__BUSMASTER_EOL_INT_EN__SHIFT                    16
#define GEN_INT_CNTL__CRTC_VBLANK_BIT2_INT_EN__SIZE                  1
#define GEN_INT_CNTL__CRTC_VBLANK_BIT2_INT_EN__MASK                  0x00020000
#define GEN_INT_CNTL__CRTC_VBLANK_BIT2_INT_EN__SHIFT                 17
#define GEN_INT_CNTL__CRTC1_VBLANK_BIT2_INT_EN__SIZE                 1
#define GEN_INT_CNTL__CRTC1_VBLANK_BIT2_INT_EN__MASK                 0x00040000
#define GEN_INT_CNTL__CRTC1_VBLANK_BIT2_INT_EN__SHIFT                18
#define GEN_INT_CNTL__SI_MIPS_INT_EN__SIZE                           1
#define GEN_INT_CNTL__SI_MIPS_INT_EN__MASK                           0x00100000
#define GEN_INT_CNTL__SI_MIPS_INT_EN__SHIFT                          20
#define GEN_INT_CNTL__SI_CPU_INT_EN__SIZE                            1
#define GEN_INT_CNTL__SI_CPU_INT_EN__MASK                            0x00200000
#define GEN_INT_CNTL__SI_CPU_INT_EN__SHIFT                           21
#define GEN_INT_CNTL__AUDIO_INT_EN__SIZE                             1
#define GEN_INT_CNTL__AUDIO_INT_EN__MASK                             0x00400000
#define GEN_INT_CNTL__AUDIO_INT_EN__SHIFT                            22
#define GEN_INT_CNTL__PCIC_INT_EN__SIZE                              1
#define GEN_INT_CNTL__PCIC_INT_EN__MASK                              0x00800000
#define GEN_INT_CNTL__PCIC_INT_EN__SHIFT                             23
#define GEN_INT_CNTL__VIPH_INT_EN__SIZE                              1
#define GEN_INT_CNTL__VIPH_INT_EN__MASK                              0x01000000
#define GEN_INT_CNTL__VIPH_INT_EN__SHIFT                             24
#define GEN_INT_CNTL__CRTC1_VBLANK_INT_EN__SIZE                      1
#define GEN_INT_CNTL__CRTC1_VBLANK_INT_EN__MASK                      0x02000000
#define GEN_INT_CNTL__CRTC1_VBLANK_INT_EN__SHIFT                     25
#define GEN_INT_CNTL__CRTC1_VLINE_INT_EN__SIZE                       1
#define GEN_INT_CNTL__CRTC1_VLINE_INT_EN__MASK                       0x04000000
#define GEN_INT_CNTL__CRTC1_VLINE_INT_EN__SHIFT                      26
#define GEN_INT_CNTL__CRTC1_VSYNC_INT_EN__SIZE                       1
#define GEN_INT_CNTL__CRTC1_VSYNC_INT_EN__MASK                       0x08000000
#define GEN_INT_CNTL__CRTC1_VSYNC_INT_EN__SHIFT                      27
#define GEN_INT_CNTL__SOUTHBRIDGE_INT_EN__SIZE                       1
#define GEN_INT_CNTL__SOUTHBRIDGE_INT_EN__MASK                       0x10000000
#define GEN_INT_CNTL__SOUTHBRIDGE_INT_EN__SHIFT                      28
#define GEN_INT_CNTL__SNAPSHOT1_INT_EN__SIZE                         1
#define GEN_INT_CNTL__SNAPSHOT1_INT_EN__MASK                         0x20000000
#define GEN_INT_CNTL__SNAPSHOT1_INT_EN__SHIFT                        29
#define GEN_INT_CNTL__CHIP_INT_EN__SIZE                              1
#define GEN_INT_CNTL__CHIP_INT_EN__MASK                              0x80000000
#define GEN_INT_CNTL__CHIP_INT_EN__SHIFT                             31

/* REGISTER:  MIPS_GEN_INT_CNTL */

#define MIPS_GEN_INT_CNTL__SIZE                                      32
#define MIPS_GEN_INT_CNTL__BYTELANE                                  0
#define MIPS_GEN_INT_CNTL__WRMASK                                    0x2fc71f0f
#define MIPS_GEN_INT_CNTL__RDMASK                                    0x3ff79fff
#define MIPS_GEN_INT_CNTL__WOMASK                                    0x00000000

#define mmMIPS_GEN_INT_CNTL                                          0x0A28

#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VBLANK_INT_EN__SIZE             1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VBLANK_INT_EN__MASK             0x00000001
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VBLANK_INT_EN__SHIFT            0
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VLINE_INT_EN__SIZE              1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VLINE_INT_EN__MASK              0x00000002
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VLINE_INT_EN__SHIFT             1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VSYNC_INT_EN__SIZE              1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VSYNC_INT_EN__MASK              0x00000004
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VSYNC_INT_EN__SHIFT             2
#define MIPS_GEN_INT_CNTL__MIPS_SNAPSHOT_INT_EN__SIZE                1
#define MIPS_GEN_INT_CNTL__MIPS_SNAPSHOT_INT_EN__MASK                0x00000008
#define MIPS_GEN_INT_CNTL__MIPS_SNAPSHOT_INT_EN__SHIFT               3
#define MIPS_GEN_INT_CNTL__MIPS_HM_COM_MIPS_INT_EN__SIZE             1
#define MIPS_GEN_INT_CNTL__MIPS_HM_COM_MIPS_INT_EN__MASK             0x00000010
#define MIPS_GEN_INT_CNTL__MIPS_HM_COM_MIPS_INT_EN__SHIFT            4
#define MIPS_GEN_INT_CNTL__MIPS_HM_COM_CPU_INT_EN__SIZE              1
#define MIPS_GEN_INT_CNTL__MIPS_HM_COM_CPU_INT_EN__MASK              0x00000020
#define MIPS_GEN_INT_CNTL__MIPS_HM_COM_CPU_INT_EN__SHIFT             5
#define MIPS_GEN_INT_CNTL__MIPS_TPS_MIPS_EN__SIZE                    1
#define MIPS_GEN_INT_CNTL__MIPS_TPS_MIPS_EN__MASK                    0x00000040
#define MIPS_GEN_INT_CNTL__MIPS_TPS_MIPS_EN__SHIFT                   6
#define MIPS_GEN_INT_CNTL__MIPS_TPS_CPU_EN__SIZE                     1
#define MIPS_GEN_INT_CNTL__MIPS_TPS_CPU_EN__MASK                     0x00000080
#define MIPS_GEN_INT_CNTL__MIPS_TPS_CPU_EN__SHIFT                    7
#define MIPS_GEN_INT_CNTL__MIPS_VIDCAP_INT_EN__SIZE                  1
#define MIPS_GEN_INT_CNTL__MIPS_VIDCAP_INT_EN__MASK                  0x00000100
#define MIPS_GEN_INT_CNTL__MIPS_VIDCAP_INT_EN__SHIFT                 8
#define MIPS_GEN_INT_CNTL__MIPS_MPEG1_INT_EN__SIZE                   1
#define MIPS_GEN_INT_CNTL__MIPS_MPEG1_INT_EN__MASK                   0x00000200
#define MIPS_GEN_INT_CNTL__MIPS_MPEG1_INT_EN__SHIFT                  9
#define MIPS_GEN_INT_CNTL__MIPS_MPEG_INT_EN__SIZE                    1
#define MIPS_GEN_INT_CNTL__MIPS_MPEG_INT_EN__MASK                    0x00000400
#define MIPS_GEN_INT_CNTL__MIPS_MPEG_INT_EN__SHIFT                   10
#define MIPS_GEN_INT_CNTL__MIPS_FP2_DETECT_STAT_EN__SIZE             1
#define MIPS_GEN_INT_CNTL__MIPS_FP2_DETECT_STAT_EN__MASK             0x00000800
#define MIPS_GEN_INT_CNTL__MIPS_FP2_DETECT_STAT_EN__SHIFT            11
#define MIPS_GEN_INT_CNTL__MIPS_VLB_OP_INT_EN__SIZE                  1
#define MIPS_GEN_INT_CNTL__MIPS_VLB_OP_INT_EN__MASK                  0x00001000
#define MIPS_GEN_INT_CNTL__MIPS_VLB_OP_INT_EN__SHIFT                 12
#define MIPS_GEN_INT_CNTL__MIPS_PCU_INT_EN__SIZE                     1
#define MIPS_GEN_INT_CNTL__MIPS_PCU_INT_EN__MASK                     0x00008000
#define MIPS_GEN_INT_CNTL__MIPS_PCU_INT_EN__SHIFT                    15
#define MIPS_GEN_INT_CNTL__MIPS_BUSMASTER_EOL_INT_EN__SIZE           1
#define MIPS_GEN_INT_CNTL__MIPS_BUSMASTER_EOL_INT_EN__MASK           0x00010000
#define MIPS_GEN_INT_CNTL__MIPS_BUSMASTER_EOL_INT_EN__SHIFT          16
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VBLANK_BIT2_INT_EN__SIZE        1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VBLANK_BIT2_INT_EN__MASK        0x00020000
#define MIPS_GEN_INT_CNTL__MIPS_CRTC_VBLANK_BIT2_INT_EN__SHIFT       17
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VBLANK_BIT2_INT_EN__SIZE       1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VBLANK_BIT2_INT_EN__MASK       0x00040000
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VBLANK_BIT2_INT_EN__SHIFT      18
#define MIPS_GEN_INT_CNTL__MIPS_SI_MIPS_INT_EN__SIZE                 1
#define MIPS_GEN_INT_CNTL__MIPS_SI_MIPS_INT_EN__MASK                 0x00100000
#define MIPS_GEN_INT_CNTL__MIPS_SI_MIPS_INT_EN__SHIFT                20
#define MIPS_GEN_INT_CNTL__MIPS_SI_CPU_INT_EN__SIZE                  1
#define MIPS_GEN_INT_CNTL__MIPS_SI_CPU_INT_EN__MASK                  0x00200000
#define MIPS_GEN_INT_CNTL__MIPS_SI_CPU_INT_EN__SHIFT                 21
#define MIPS_GEN_INT_CNTL__MIPS_AUDIO_INT_EN__SIZE                   1
#define MIPS_GEN_INT_CNTL__MIPS_AUDIO_INT_EN__MASK                   0x00400000
#define MIPS_GEN_INT_CNTL__MIPS_AUDIO_INT_EN__SHIFT                  22
#define MIPS_GEN_INT_CNTL__MIPS_PCIC_INT_EN__SIZE                    1
#define MIPS_GEN_INT_CNTL__MIPS_PCIC_INT_EN__MASK                    0x00800000
#define MIPS_GEN_INT_CNTL__MIPS_PCIC_INT_EN__SHIFT                   23
#define MIPS_GEN_INT_CNTL__MIPS_VIPH_INT_EN__SIZE                    1
#define MIPS_GEN_INT_CNTL__MIPS_VIPH_INT_EN__MASK                    0x01000000
#define MIPS_GEN_INT_CNTL__MIPS_VIPH_INT_EN__SHIFT                   24
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VBLANK_INT_EN__SIZE            1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VBLANK_INT_EN__MASK            0x02000000
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VBLANK_INT_EN__SHIFT           25
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VLINE_INT_EN__SIZE             1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VLINE_INT_EN__MASK             0x04000000
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VLINE_INT_EN__SHIFT            26
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VSYNC_INT_EN__SIZE             1
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VSYNC_INT_EN__MASK             0x08000000
#define MIPS_GEN_INT_CNTL__MIPS_CRTC1_VSYNC_INT_EN__SHIFT            27
#define MIPS_GEN_INT_CNTL__MIPS_SOUTHBRIDGE_INT_EN__SIZE             1
#define MIPS_GEN_INT_CNTL__MIPS_SOUTHBRIDGE_INT_EN__MASK             0x10000000
#define MIPS_GEN_INT_CNTL__MIPS_SOUTHBRIDGE_INT_EN__SHIFT            28
#define MIPS_GEN_INT_CNTL__MIPS_SNAPSHOT1_INT_EN__SIZE               1
#define MIPS_GEN_INT_CNTL__MIPS_SNAPSHOT1_INT_EN__MASK               0x20000000
#define MIPS_GEN_INT_CNTL__MIPS_SNAPSHOT1_INT_EN__SHIFT              29


/* REGISTER:  GEN_INT_STATUS */

#define GEN_INT_STATUS__SIZE                                         32
#define GEN_INT_STATUS__BYTELANE                                     0
#define GEN_INT_STATUS__WRMASK                                       0x2e07580f
#define GEN_INT_STATUS__RDMASK                                       0xbff7dfff
#define GEN_INT_STATUS__WOMASK                                       0x00000000

#define mmGEN_INT_STATUS                                             0x0044
#define blockioGEN_INT_STATUS                                        0x0044

#define GEN_INT_STATUS__CRTC_VBLANK_INT__SIZE                        1
#define GEN_INT_STATUS__CRTC_VBLANK_INT__MASK                        0x00000001
#define GEN_INT_STATUS__CRTC_VBLANK_INT__SHIFT                       0
#define GEN_INT_STATUS__CRTC_VBLANK_INT_AK__SIZE                     1
#define GEN_INT_STATUS__CRTC_VBLANK_INT_AK__MASK                     0x00000001
#define GEN_INT_STATUS__CRTC_VBLANK_INT_AK__SHIFT                    0
#define GEN_INT_STATUS__CRTC_VLINE_INT__SIZE                         1
#define GEN_INT_STATUS__CRTC_VLINE_INT__MASK                         0x00000002
#define GEN_INT_STATUS__CRTC_VLINE_INT__SHIFT                        1
#define GEN_INT_STATUS__CRTC_VLINE_INT_AK__SIZE                      1
#define GEN_INT_STATUS__CRTC_VLINE_INT_AK__MASK                      0x00000002
#define GEN_INT_STATUS__CRTC_VLINE_INT_AK__SHIFT                     1
#define GEN_INT_STATUS__CRTC_VSYNC_INT__SIZE                         1
#define GEN_INT_STATUS__CRTC_VSYNC_INT__MASK                         0x00000004
#define GEN_INT_STATUS__CRTC_VSYNC_INT__SHIFT                        2
#define GEN_INT_STATUS__CRTC_VSYNC_INT_AK__SIZE                      1
#define GEN_INT_STATUS__CRTC_VSYNC_INT_AK__MASK                      0x00000004
#define GEN_INT_STATUS__CRTC_VSYNC_INT_AK__SHIFT                     2
#define GEN_INT_STATUS__SNAPSHOT_INT__SIZE                           1
#define GEN_INT_STATUS__SNAPSHOT_INT__MASK                           0x00000008
#define GEN_INT_STATUS__SNAPSHOT_INT__SHIFT                          3
#define GEN_INT_STATUS__SNAPSHOT_INT_AK__SIZE                        1
#define GEN_INT_STATUS__SNAPSHOT_INT_AK__MASK                        0x00000008
#define GEN_INT_STATUS__SNAPSHOT_INT_AK__SHIFT                       3
#define GEN_INT_STATUS__HM_COM_MIPS_INT__SIZE                        1
#define GEN_INT_STATUS__HM_COM_MIPS_INT__MASK                        0x00000010
#define GEN_INT_STATUS__HM_COM_MIPS_INT__SHIFT                       4
#define GEN_INT_STATUS__HM_COM_CPU_INT__SIZE                         1
#define GEN_INT_STATUS__HM_COM_CPU_INT__MASK                         0x00000020
#define GEN_INT_STATUS__HM_COM_CPU_INT__SHIFT                        5
#define GEN_INT_STATUS__TPS_MIPS_INT__SIZE                           1
#define GEN_INT_STATUS__TPS_MIPS_INT__MASK                           0x00000040
#define GEN_INT_STATUS__TPS_MIPS_INT__SHIFT                          6
#define GEN_INT_STATUS__TPS_CPU_INT__SIZE                            1
#define GEN_INT_STATUS__TPS_CPU_INT__MASK                            0x00000080
#define GEN_INT_STATUS__TPS_CPU_INT__SHIFT                           7
#define GEN_INT_STATUS__VIDCAP_INT__SIZE                             1
#define GEN_INT_STATUS__VIDCAP_INT__MASK                             0x00000100
#define GEN_INT_STATUS__VIDCAP_INT__SHIFT                            8
#define GEN_INT_STATUS__MPEG1_INT_ACTIVE__SIZE                       1
#define GEN_INT_STATUS__MPEG1_INT_ACTIVE__MASK                       0x00000200
#define GEN_INT_STATUS__MPEG1_INT_ACTIVE__SHIFT                      9
#define GEN_INT_STATUS__MPEG_INT_ACTIVE__SIZE                        1
#define GEN_INT_STATUS__MPEG_INT_ACTIVE__MASK                        0x00000400
#define GEN_INT_STATUS__MPEG_INT_ACTIVE__SHIFT                       10
#define GEN_INT_STATUS__FP2_DETECT_STAT__SIZE                        1
#define GEN_INT_STATUS__FP2_DETECT_STAT__MASK                        0x00000800
#define GEN_INT_STATUS__FP2_DETECT_STAT__SHIFT                       11
#define GEN_INT_STATUS__FP2_DETECT_STAT_AK__SIZE                     1
#define GEN_INT_STATUS__FP2_DETECT_STAT_AK__MASK                     0x00000800
#define GEN_INT_STATUS__FP2_DETECT_STAT_AK__SHIFT                    11
#define GEN_INT_STATUS__VLB_OP_INT__SIZE                             1
#define GEN_INT_STATUS__VLB_OP_INT__MASK                             0x00001000
#define GEN_INT_STATUS__VLB_OP_INT__SHIFT                            12
#define GEN_INT_STATUS__VLB_OP_INT_AK__SIZE                          1
#define GEN_INT_STATUS__VLB_OP_INT_AK__MASK                          0x00001000
#define GEN_INT_STATUS__VLB_OP_INT_AK__SHIFT                         12
#define GEN_INT_STATUS__EXT_I2C_DATA_REQ_INT__SIZE                   1
#define GEN_INT_STATUS__EXT_I2C_DATA_REQ_INT__MASK                   0x00004000
#define GEN_INT_STATUS__EXT_I2C_DATA_REQ_INT__SHIFT                  14
#define GEN_INT_STATUS__EXT_I2C_DATA_REQ_INT_AK__SIZE                1
#define GEN_INT_STATUS__EXT_I2C_DATA_REQ_INT_AK__MASK                0x00004000
#define GEN_INT_STATUS__EXT_I2C_DATA_REQ_INT_AK__SHIFT               14
#define GEN_INT_STATUS__PCU_INT__SIZE                                1
#define GEN_INT_STATUS__PCU_INT__MASK                                0x00008000
#define GEN_INT_STATUS__PCU_INT__SHIFT                               15
#define GEN_INT_STATUS__BUSMASTER_EOL_INT__SIZE                      1
#define GEN_INT_STATUS__BUSMASTER_EOL_INT__MASK                      0x00010000
#define GEN_INT_STATUS__BUSMASTER_EOL_INT__SHIFT                     16
#define GEN_INT_STATUS__BUSMASTER_EOL_INT_AK__SIZE                   1
#define GEN_INT_STATUS__BUSMASTER_EOL_INT_AK__MASK                   0x00010000
#define GEN_INT_STATUS__BUSMASTER_EOL_INT_AK__SHIFT                  16
#define GEN_INT_STATUS__CRTC_VBLANK_BIT2_INT__SIZE                   1
#define GEN_INT_STATUS__CRTC_VBLANK_BIT2_INT__MASK                   0x00020000
#define GEN_INT_STATUS__CRTC_VBLANK_BIT2_INT__SHIFT                  17
#define GEN_INT_STATUS__CRTC_VBLANK_BIT2_INT_AK__SIZE                1
#define GEN_INT_STATUS__CRTC_VBLANK_BIT2_INT_AK__MASK                0x00020000
#define GEN_INT_STATUS__CRTC_VBLANK_BIT2_INT_AK__SHIFT               17
#define GEN_INT_STATUS__CRTC1_VBLANK_BIT2_INT__SIZE                  1
#define GEN_INT_STATUS__CRTC1_VBLANK_BIT2_INT__MASK                  0x00040000
#define GEN_INT_STATUS__CRTC1_VBLANK_BIT2_INT__SHIFT                 18
#define GEN_INT_STATUS__CRTC1_VBLANK_BIT2_INT_AK__SIZE               1
#define GEN_INT_STATUS__CRTC1_VBLANK_BIT2_INT_AK__MASK               0x00040000
#define GEN_INT_STATUS__CRTC1_VBLANK_BIT2_INT_AK__SHIFT              18
#define GEN_INT_STATUS__SI_MIPS_INT__SIZE                            1
#define GEN_INT_STATUS__SI_MIPS_INT__MASK                            0x00100000
#define GEN_INT_STATUS__SI_MIPS_INT__SHIFT                           20
#define GEN_INT_STATUS__SI_CPU_INT__SIZE                             1
#define GEN_INT_STATUS__SI_CPU_INT__MASK                             0x00200000
#define GEN_INT_STATUS__SI_CPU_INT__SHIFT                            21
#define GEN_INT_STATUS__AUDIO_INT__SIZE                              1
#define GEN_INT_STATUS__AUDIO_INT__MASK                              0x00400000
#define GEN_INT_STATUS__AUDIO_INT__SHIFT                             22
#define GEN_INT_STATUS__PCIC_INT__SIZE                               1
#define GEN_INT_STATUS__PCIC_INT__MASK                               0x00800000
#define GEN_INT_STATUS__PCIC_INT__SHIFT                              23
#define GEN_INT_STATUS__VIPH_INT__SIZE                               1
#define GEN_INT_STATUS__VIPH_INT__MASK                               0x01000000
#define GEN_INT_STATUS__VIPH_INT__SHIFT                              24
#define GEN_INT_STATUS__CRTC1_VBLANK_INT__SIZE                       1
#define GEN_INT_STATUS__CRTC1_VBLANK_INT__MASK                       0x02000000
#define GEN_INT_STATUS__CRTC1_VBLANK_INT__SHIFT                      25
#define GEN_INT_STATUS__CRTC1_VBLANK_INT_AK__SIZE                    1
#define GEN_INT_STATUS__CRTC1_VBLANK_INT_AK__MASK                    0x02000000
#define GEN_INT_STATUS__CRTC1_VBLANK_INT_AK__SHIFT                   25
#define GEN_INT_STATUS__CRTC1_VLINE_INT__SIZE                        1
#define GEN_INT_STATUS__CRTC1_VLINE_INT__MASK                        0x04000000
#define GEN_INT_STATUS__CRTC1_VLINE_INT__SHIFT                       26
#define GEN_INT_STATUS__CRTC1_VLINE_INT_AK__SIZE                     1
#define GEN_INT_STATUS__CRTC1_VLINE_INT_AK__MASK                     0x04000000
#define GEN_INT_STATUS__CRTC1_VLINE_INT_AK__SHIFT                    26
#define GEN_INT_STATUS__CRTC1_VSYNC_INT__SIZE                        1
#define GEN_INT_STATUS__CRTC1_VSYNC_INT__MASK                        0x08000000
#define GEN_INT_STATUS__CRTC1_VSYNC_INT__SHIFT                       27
#define GEN_INT_STATUS__CRTC1_VSYNC_INT_AK__SIZE                     1
#define GEN_INT_STATUS__CRTC1_VSYNC_INT_AK__MASK                     0x08000000
#define GEN_INT_STATUS__CRTC1_VSYNC_INT_AK__SHIFT                    27
#define GEN_INT_STATUS__SOUTHBRIDGE_INT__SIZE                        1
#define GEN_INT_STATUS__SOUTHBRIDGE_INT__MASK                        0x10000000
#define GEN_INT_STATUS__SOUTHBRIDGE_INT__SHIFT                       28
#define GEN_INT_STATUS__SNAPSHOT1_INT__SIZE                          1
#define GEN_INT_STATUS__SNAPSHOT1_INT__MASK                          0x20000000
#define GEN_INT_STATUS__SNAPSHOT1_INT__SHIFT                         29
#define GEN_INT_STATUS__SNAPSHOT1_INT_AK__SIZE                       1
#define GEN_INT_STATUS__SNAPSHOT1_INT_AK__MASK                       0x20000000
#define GEN_INT_STATUS__SNAPSHOT1_INT_AK__SHIFT                      29
#define GEN_INT_STATUS__CHIP_INT__SIZE                               1
#define GEN_INT_STATUS__CHIP_INT__MASK                               0x80000000
#define GEN_INT_STATUS__CHIP_INT__SHIFT                              31

/* REGISTER:  PAD_PCI */

#define PAD_PCI__SIZE                                                32
#define PAD_PCI__BYTELANE                                            0
#define PAD_PCI__WRMASK                                              0x000003ff
#define PAD_PCI__RDMASK                                              0x000003ff
#define PAD_PCI__WOMASK                                              0x00000000

#define mmPAD_PCI                                                    0x0958

#define PAD_PCI__PCI_SRN__SIZE                                       1
#define PAD_PCI__PCI_SRN__MASK                                       0x00000001
#define PAD_PCI__PCI_SRN__SHIFT                                      0
#define PAD_PCI__PCI_SRP__SIZE                                       1
#define PAD_PCI__PCI_SRP__MASK                                       0x00000002
#define PAD_PCI__PCI_SRP__SHIFT                                      1
#define PAD_PCI__PCI_SP__SIZE                                        4
#define PAD_PCI__PCI_SP__MASK                                        0x0000003c
#define PAD_PCI__PCI_SP__SHIFT                                       2
#define PAD_PCI__PCI_SN__SIZE                                        4
#define PAD_PCI__PCI_SN__MASK                                        0x000003c0
#define PAD_PCI__PCI_SN__SHIFT                                       6

/* REGISTER:  MIPS_EXT_PCI_INT_CNTL */

#define MIPS_EXT_PCI_INT_CNTL__SIZE                                  32
#define MIPS_EXT_PCI_INT_CNTL__BYTELANE                              0
#define MIPS_EXT_PCI_INT_CNTL__WRMASK                                0x0000000f
#define MIPS_EXT_PCI_INT_CNTL__RDMASK                                0x0000000f
#define MIPS_EXT_PCI_INT_CNTL__WOMASK                                0x00000000

#define mmMIPS_EXT_PCI_INT_CNTL                                      0x0A30

#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR0_EN__SIZE                   1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR0_EN__MASK                   0x00000001
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR0_EN__SHIFT                  0
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR1_EN__SIZE                   1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR1_EN__MASK                   0x00000002
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR1_EN__SHIFT                  1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR2_EN__SIZE                   1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR2_EN__MASK                   0x00000004
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR2_EN__SHIFT                  2
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR3_EN__SIZE                   1
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR3_EN__MASK                   0x00000008
#define MIPS_EXT_PCI_INT_CNTL__MIPS_INTR3_EN__SHIFT                  3

/* REGISTER:  EXT_PCI_INT_STATUS */

#define EXT_PCI_INT_STATUS__SIZE                                     32
#define EXT_PCI_INT_STATUS__BYTELANE                                 0
#define EXT_PCI_INT_STATUS__WRMASK                                   0x00000000
#define EXT_PCI_INT_STATUS__RDMASK                                   0x0000000f
#define EXT_PCI_INT_STATUS__WOMASK                                   0x00000000

#define mmEXT_PCI_INT_STATUS                                         0x0A0C

#define EXT_PCI_INT_STATUS__INTR0__SIZE                              1
#define EXT_PCI_INT_STATUS__INTR0__MASK                              0x00000001
#define EXT_PCI_INT_STATUS__INTR0__SHIFT                             0
#define EXT_PCI_INT_STATUS__INTR1__SIZE                              1
#define EXT_PCI_INT_STATUS__INTR1__MASK                              0x00000002
#define EXT_PCI_INT_STATUS__INTR1__SHIFT                             1
#define EXT_PCI_INT_STATUS__INTR2__SIZE                              1
#define EXT_PCI_INT_STATUS__INTR2__MASK                              0x00000004
#define EXT_PCI_INT_STATUS__INTR2__SHIFT                             2
#define EXT_PCI_INT_STATUS__INTR3__SIZE                              1
#define EXT_PCI_INT_STATUS__INTR3__MASK                              0x00000008
#define EXT_PCI_INT_STATUS__INTR3__SHIFT                             3

/* REGISTER:  MIPS_PCU_INT_CNTL */

#define MIPS_PCU_INT_CNTL__SIZE                                      32
#define MIPS_PCU_INT_CNTL__BYTELANE                                  0
#define MIPS_PCU_INT_CNTL__WRMASK                                    0x007fff3f
#define MIPS_PCU_INT_CNTL__RDMASK                                    0x007fff3f
#define MIPS_PCU_INT_CNTL__WOMASK                                    0x00000000

#define mmMIPS_PCU_INT_CNTL                                          0x0A34

#define MIPS_PCU_INT_CNTL__MIPS_DMA_INT_EN__SIZE                     1
#define MIPS_PCU_INT_CNTL__MIPS_DMA_INT_EN__MASK                     0x00000001
#define MIPS_PCU_INT_CNTL__MIPS_DMA_INT_EN__SHIFT                    0
#define MIPS_PCU_INT_CNTL__MIPS_UIRT_EN__SIZE                        1
#define MIPS_PCU_INT_CNTL__MIPS_UIRT_EN__MASK                        0x00000002
#define MIPS_PCU_INT_CNTL__MIPS_UIRT_EN__SHIFT                       1
#define MIPS_PCU_INT_CNTL__MIPS_UART1_EN__SIZE                       1
#define MIPS_PCU_INT_CNTL__MIPS_UART1_EN__MASK                       0x00000004
#define MIPS_PCU_INT_CNTL__MIPS_UART1_EN__SHIFT                      2
#define MIPS_PCU_INT_CNTL__MIPS_UART2_EN__SIZE                       1
#define MIPS_PCU_INT_CNTL__MIPS_UART2_EN__MASK                       0x00000008
#define MIPS_PCU_INT_CNTL__MIPS_UART2_EN__SHIFT                      3
#define MIPS_PCU_INT_CNTL__MIPS_TIMER_GLOBAL_INT_EN__SIZE            1
#define MIPS_PCU_INT_CNTL__MIPS_TIMER_GLOBAL_INT_EN__MASK            0x00000010
#define MIPS_PCU_INT_CNTL__MIPS_TIMER_GLOBAL_INT_EN__SHIFT           4
#define MIPS_PCU_INT_CNTL__MIPS_RTC_GLOBAL_INT_EN__SIZE              1
#define MIPS_PCU_INT_CNTL__MIPS_RTC_GLOBAL_INT_EN__MASK              0x00000020
#define MIPS_PCU_INT_CNTL__MIPS_RTC_GLOBAL_INT_EN__SHIFT             5
#define MIPS_PCU_INT_CNTL__MIPS_FLEXBUS_INT_EN__SIZE                 8
#define MIPS_PCU_INT_CNTL__MIPS_FLEXBUS_INT_EN__MASK                 0x0000ff00
#define MIPS_PCU_INT_CNTL__MIPS_FLEXBUS_INT_EN__SHIFT                8
#define MIPS_PCU_INT_CNTL__MIPS_I2C0_INT_EN__SIZE                    1
#define MIPS_PCU_INT_CNTL__MIPS_I2C0_INT_EN__MASK                    0x00010000
#define MIPS_PCU_INT_CNTL__MIPS_I2C0_INT_EN__SHIFT                   16
#define MIPS_PCU_INT_CNTL__MIPS_I2C1_INT_EN__SIZE                    1
#define MIPS_PCU_INT_CNTL__MIPS_I2C1_INT_EN__MASK                    0x00020000
#define MIPS_PCU_INT_CNTL__MIPS_I2C1_INT_EN__SHIFT                   17
#define MIPS_PCU_INT_CNTL__MIPS_SMCA_INT_EN__SIZE                    1
#define MIPS_PCU_INT_CNTL__MIPS_SMCA_INT_EN__MASK                    0x00040000
#define MIPS_PCU_INT_CNTL__MIPS_SMCA_INT_EN__SHIFT                   18
#define MIPS_PCU_INT_CNTL__MIPS_SMCB_INT_EN__SIZE                    1
#define MIPS_PCU_INT_CNTL__MIPS_SMCB_INT_EN__MASK                    0x00080000
#define MIPS_PCU_INT_CNTL__MIPS_SMCB_INT_EN__SHIFT                   19
#define MIPS_PCU_INT_CNTL__MIPS_SMCC_INT_EN__SIZE                    1
#define MIPS_PCU_INT_CNTL__MIPS_SMCC_INT_EN__MASK                    0x00100000
#define MIPS_PCU_INT_CNTL__MIPS_SMCC_INT_EN__SHIFT                   20
#define MIPS_PCU_INT_CNTL__MIPS_HDCP_AUTHORIZED_INT_EN__SIZE         1
#define MIPS_PCU_INT_CNTL__MIPS_HDCP_AUTHORIZED_INT_EN__MASK         0x00200000
#define MIPS_PCU_INT_CNTL__MIPS_HDCP_AUTHORIZED_INT_EN__SHIFT        21
#define MIPS_PCU_INT_CNTL__MIPS_DVI_I2C_INT_EN__SIZE                 1
#define MIPS_PCU_INT_CNTL__MIPS_DVI_I2C_INT_EN__MASK                 0x00400000
#define MIPS_PCU_INT_CNTL__MIPS_DVI_I2C_INT_EN__SHIFT                22


/* REGISTER:  PCU_INT_STATUS */

#define PCU_INT_STATUS__SIZE                                         32
#define PCU_INT_STATUS__BYTELANE                                     0
#define PCU_INT_STATUS__WRMASK                                       0x00630000
#define PCU_INT_STATUS__RDMASK                                       0x007fff3f
#define PCU_INT_STATUS__WOMASK                                       0x00000000

#define mmPCU_INT_STATUS                                             0x0A14

#define PCU_INT_STATUS__DMA_INT__SIZE                                1
#define PCU_INT_STATUS__DMA_INT__MASK                                0x00000001
#define PCU_INT_STATUS__DMA_INT__SHIFT                               0
#define PCU_INT_STATUS__UIRT_INT__SIZE                               1
#define PCU_INT_STATUS__UIRT_INT__MASK                               0x00000002
#define PCU_INT_STATUS__UIRT_INT__SHIFT                              1
#define PCU_INT_STATUS__UART1_INT__SIZE                              1
#define PCU_INT_STATUS__UART1_INT__MASK                              0x00000004
#define PCU_INT_STATUS__UART1_INT__SHIFT                             2
#define PCU_INT_STATUS__UART2_INT__SIZE                              1
#define PCU_INT_STATUS__UART2_INT__MASK                              0x00000008
#define PCU_INT_STATUS__UART2_INT__SHIFT                             3
#define PCU_INT_STATUS__TIMER_GLOBAL__SIZE                           1
#define PCU_INT_STATUS__TIMER_GLOBAL__MASK                           0x00000010
#define PCU_INT_STATUS__TIMER_GLOBAL__SHIFT                          4
#define PCU_INT_STATUS__RTC_GLOBAL_INT__SIZE                         1
#define PCU_INT_STATUS__RTC_GLOBAL_INT__MASK                         0x00000020
#define PCU_INT_STATUS__RTC_GLOBAL_INT__SHIFT                        5
#define PCU_INT_STATUS__FLEXBUS_INT_0__SIZE                          1
#define PCU_INT_STATUS__FLEXBUS_INT_0__MASK                          0x00000100
#define PCU_INT_STATUS__FLEXBUS_INT_0__SHIFT                         8
#define PCU_INT_STATUS__FLEXBUS_INT_1__SIZE                          1
#define PCU_INT_STATUS__FLEXBUS_INT_1__MASK                          0x00000200
#define PCU_INT_STATUS__FLEXBUS_INT_1__SHIFT                         9
#define PCU_INT_STATUS__FLEXBUS_INT_2__SIZE                          1
#define PCU_INT_STATUS__FLEXBUS_INT_2__MASK                          0x00000400
#define PCU_INT_STATUS__FLEXBUS_INT_2__SHIFT                         10
#define PCU_INT_STATUS__FLEXBUS_INT_3__SIZE                          1
#define PCU_INT_STATUS__FLEXBUS_INT_3__MASK                          0x00000800
#define PCU_INT_STATUS__FLEXBUS_INT_3__SHIFT                         11
#define PCU_INT_STATUS__FLEXBUS_INT_4__SIZE                          1
#define PCU_INT_STATUS__FLEXBUS_INT_4__MASK                          0x00001000
#define PCU_INT_STATUS__FLEXBUS_INT_4__SHIFT                         12
#define PCU_INT_STATUS__FLEXBUS_INT_5__SIZE                          1
#define PCU_INT_STATUS__FLEXBUS_INT_5__MASK                          0x00002000
#define PCU_INT_STATUS__FLEXBUS_INT_5__SHIFT                         13
#define PCU_INT_STATUS__FLEXBUS_INT_6__SIZE                          1
#define PCU_INT_STATUS__FLEXBUS_INT_6__MASK                          0x00004000
#define PCU_INT_STATUS__FLEXBUS_INT_6__SHIFT                         14
#define PCU_INT_STATUS__FLEXBUS_INT_7__SIZE                          1
#define PCU_INT_STATUS__FLEXBUS_INT_7__MASK                          0x00008000
#define PCU_INT_STATUS__FLEXBUS_INT_7__SHIFT                         15
#define PCU_INT_STATUS__I2C0_INT__SIZE                               1
#define PCU_INT_STATUS__I2C0_INT__MASK                               0x00010000
#define PCU_INT_STATUS__I2C0_INT__SHIFT                              16
#define PCU_INT_STATUS__I2C0_INT_AK__SIZE                            1
#define PCU_INT_STATUS__I2C0_INT_AK__MASK                            0x00010000
#define PCU_INT_STATUS__I2C0_INT_AK__SHIFT                           16
#define PCU_INT_STATUS__I2C1_INT__SIZE                               1
#define PCU_INT_STATUS__I2C1_INT__MASK                               0x00020000
#define PCU_INT_STATUS__I2C1_INT__SHIFT                              17
#define PCU_INT_STATUS__I2C1_INT_AK__SIZE                            1
#define PCU_INT_STATUS__I2C1_INT_AK__MASK                            0x00020000
#define PCU_INT_STATUS__I2C1_INT_AK__SHIFT                           17
#define PCU_INT_STATUS__SMCA_INT__SIZE                               1
#define PCU_INT_STATUS__SMCA_INT__MASK                               0x00040000
#define PCU_INT_STATUS__SMCA_INT__SHIFT                              18
#define PCU_INT_STATUS__SMCB_INT__SIZE                               1
#define PCU_INT_STATUS__SMCB_INT__MASK                               0x00080000
#define PCU_INT_STATUS__SMCB_INT__SHIFT                              19
#define PCU_INT_STATUS__SMCC_INT__SIZE                               1
#define PCU_INT_STATUS__SMCC_INT__MASK                               0x00100000
#define PCU_INT_STATUS__SMCC_INT__SHIFT                              20
#define PCU_INT_STATUS__HDCP_AUTHORIZED_INT_STAT__SIZE               1
#define PCU_INT_STATUS__HDCP_AUTHORIZED_INT_STAT__MASK               0x00200000
#define PCU_INT_STATUS__HDCP_AUTHORIZED_INT_STAT__SHIFT              21
#define PCU_INT_STATUS__HDCP_AUTHORIZED_INT_AK__SIZE                 1
#define PCU_INT_STATUS__HDCP_AUTHORIZED_INT_AK__MASK                 0x00200000
#define PCU_INT_STATUS__HDCP_AUTHORIZED_INT_AK__SHIFT                21
#define PCU_INT_STATUS__DVI_I2C_INT_STAT__SIZE                       1
#define PCU_INT_STATUS__DVI_I2C_INT_STAT__MASK                       0x00400000
#define PCU_INT_STATUS__DVI_I2C_INT_STAT__SHIFT                      22
#define PCU_INT_STATUS__DVI_I2C_INT_AK__SIZE                         1
#define PCU_INT_STATUS__DVI_I2C_INT_AK__MASK                         0x00400000
#define PCU_INT_STATUS__DVI_I2C_INT_AK__SHIFT                        22


/* REGISTER:  MIPS_SB_INT_CNTL */

#define MIPS_SB_INT_CNTL__SIZE                                       32
#define MIPS_SB_INT_CNTL__BYTELANE                                   0
#define MIPS_SB_INT_CNTL__WRMASK                                     0x000003f3
#define MIPS_SB_INT_CNTL__RDMASK                                     0x000003f3
#define MIPS_SB_INT_CNTL__WOMASK                                     0x00000000

#define mmMIPS_SB_INT_CNTL                                           0x0A38

#define MIPS_SB_INT_CNTL__MIPS_IDE_INT_EN__SIZE                      1
#define MIPS_SB_INT_CNTL__MIPS_IDE_INT_EN__MASK                      0x00000001
#define MIPS_SB_INT_CNTL__MIPS_IDE_INT_EN__SHIFT                     0
#define MIPS_SB_INT_CNTL__MIPS_USB_INT_EN_0__SIZE                    1
#define MIPS_SB_INT_CNTL__MIPS_USB_INT_EN_0__MASK                    0x00000002
#define MIPS_SB_INT_CNTL__MIPS_USB_INT_EN_0__SHIFT                   1
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_0__SIZE                    1
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_0__MASK                    0x00000010
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_0__SHIFT                   4
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_1__SIZE                    1
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_1__MASK                    0x00000020
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_1__SHIFT                   5
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_2__SIZE                    1
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_2__MASK                    0x00000040
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_2__SHIFT                   6
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_3__SIZE                    1
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_3__MASK                    0x00000080
#define MIPS_SB_INT_CNTL__MIPS_LPC_INT_EN_3__SHIFT                   7
#define MIPS_SB_INT_CNTL__MIPS_DAIO_INT_EN_0__SIZE                   1
#define MIPS_SB_INT_CNTL__MIPS_DAIO_INT_EN_0__MASK                   0x00000100
#define MIPS_SB_INT_CNTL__MIPS_DAIO_INT_EN_0__SHIFT                  8
#define MIPS_SB_INT_CNTL__MIPS_DAIO_INT_EN_1__SIZE                   1
#define MIPS_SB_INT_CNTL__MIPS_DAIO_INT_EN_1__MASK                   0x00000200
#define MIPS_SB_INT_CNTL__MIPS_DAIO_INT_EN_1__SHIFT                  9


/* REGISTER:  PCIC_COMMAND_STATUS */

#define PCIC_COMMAND_STATUS__SIZE                                    32
#define PCIC_COMMAND_STATUS__BYTELANE                                0
#define PCIC_COMMAND_STATUS__WRMASK                                  0xf11f0052
#define PCIC_COMMAND_STATUS__RDMASK                                  0xf11f0052
#define PCIC_COMMAND_STATUS__WOMASK                                  0x00000000

#define mmPCIC_COMMAND_STATUS                                        0x4804

#define PCIC_COMMAND_STATUS__MEM_ACCESS_EN__SIZE                     1
#define PCIC_COMMAND_STATUS__MEM_ACCESS_EN__MASK                     0x00000002
#define PCIC_COMMAND_STATUS__MEM_ACCESS_EN__SHIFT                    1
#define PCIC_COMMAND_STATUS__MEM_WRITE_INVALIDATE_EN__SIZE           1
#define PCIC_COMMAND_STATUS__MEM_WRITE_INVALIDATE_EN__MASK           0x00000010
#define PCIC_COMMAND_STATUS__MEM_WRITE_INVALIDATE_EN__SHIFT          4
#define PCIC_COMMAND_STATUS__PARITY_ERROR_EN__SIZE                   1
#define PCIC_COMMAND_STATUS__PARITY_ERROR_EN__MASK                   0x00000040
#define PCIC_COMMAND_STATUS__PARITY_ERROR_EN__SHIFT                  6
#define PCIC_COMMAND_STATUS__BROKEN_MASTER__SIZE                     1
#define PCIC_COMMAND_STATUS__BROKEN_MASTER__MASK                     0x00010000
#define PCIC_COMMAND_STATUS__BROKEN_MASTER__SHIFT                    16
#define PCIC_COMMAND_STATUS__BROKEN_MASTER_ID__SIZE                  4
#define PCIC_COMMAND_STATUS__BROKEN_MASTER_ID__MASK                  0x001e0000
#define PCIC_COMMAND_STATUS__BROKEN_MASTER_ID__SHIFT                 17
#define PCIC_COMMAND_STATUS__MASTER_DATA_PARITY_ERROR__SIZE          1
#define PCIC_COMMAND_STATUS__MASTER_DATA_PARITY_ERROR__MASK          0x01000000
#define PCIC_COMMAND_STATUS__MASTER_DATA_PARITY_ERROR__SHIFT         24
#define PCIC_COMMAND_STATUS__RECEIVED_TARGET_ABORT__SIZE             1
#define PCIC_COMMAND_STATUS__RECEIVED_TARGET_ABORT__MASK             0x10000000
#define PCIC_COMMAND_STATUS__RECEIVED_TARGET_ABORT__SHIFT            28
#define PCIC_COMMAND_STATUS__RECEIVED_MASTER_ABORT__SIZE             1
#define PCIC_COMMAND_STATUS__RECEIVED_MASTER_ABORT__MASK             0x20000000
#define PCIC_COMMAND_STATUS__RECEIVED_MASTER_ABORT__SHIFT            29
#define PCIC_COMMAND_STATUS__SIGNALED_SYSTEM_ERROR__SIZE             1
#define PCIC_COMMAND_STATUS__SIGNALED_SYSTEM_ERROR__MASK             0x40000000
#define PCIC_COMMAND_STATUS__SIGNALED_SYSTEM_ERROR__SHIFT            30
#define PCIC_COMMAND_STATUS__PARITY_ERROR_DETECTED__SIZE             1
#define PCIC_COMMAND_STATUS__PARITY_ERROR_DETECTED__MASK             0x80000000
#define PCIC_COMMAND_STATUS__PARITY_ERROR_DETECTED__SHIFT            31

/* REGISTER:  PCIC_BUS_CNTL */

#define PCIC_BUS_CNTL__SIZE                                          32
#define PCIC_BUS_CNTL__BYTELANE                                      0
#define PCIC_BUS_CNTL__WRMASK                                        0x00001f7f
#define PCIC_BUS_CNTL__RDMASK                                        0x00001f7f
#define PCIC_BUS_CNTL__WOMASK                                        0x00000000

#define mmPCIC_BUS_CNTL                                              0x4900

#define PCIC_BUS_CNTL__BUS_DBL_RESYNC_XCLK__SIZE                     1
#define PCIC_BUS_CNTL__BUS_DBL_RESYNC_XCLK__MASK                     0x00000001
#define PCIC_BUS_CNTL__BUS_DBL_RESYNC_XCLK__SHIFT                    0
#define PCIC_BUS_CNTL__BUS_DBL_RESYNC_BCLK__SIZE                     1
#define PCIC_BUS_CNTL__BUS_DBL_RESYNC_BCLK__MASK                     0x00000002
#define PCIC_BUS_CNTL__BUS_DBL_RESYNC_BCLK__SHIFT                    1
#define PCIC_BUS_CNTL__BUS_AD_STEPPING_EN__SIZE                      1
#define PCIC_BUS_CNTL__BUS_AD_STEPPING_EN__MASK                      0x00000004
#define PCIC_BUS_CNTL__BUS_AD_STEPPING_EN__SHIFT                     2
#define PCIC_BUS_CNTL__BUS_PARKING_DIS__SIZE                         1
#define PCIC_BUS_CNTL__BUS_PARKING_DIS__MASK                         0x00000008
#define PCIC_BUS_CNTL__BUS_PARKING_DIS__SHIFT                        3
#define PCIC_BUS_CNTL__SERR_EN__SIZE                                 1
#define PCIC_BUS_CNTL__SERR_EN__MASK                                 0x00000010
#define PCIC_BUS_CNTL__SERR_EN__SHIFT                                4
#define PCIC_BUS_CNTL__BUS_PERR_ADDR_EN__SIZE                        1
#define PCIC_BUS_CNTL__BUS_PERR_ADDR_EN__MASK                        0x00000020
#define PCIC_BUS_CNTL__BUS_PERR_ADDR_EN__SHIFT                       5
#define PCIC_BUS_CNTL__BUS_PERR_DATA_EN__SIZE                        1
#define PCIC_BUS_CNTL__BUS_PERR_DATA_EN__MASK                        0x00000040
#define PCIC_BUS_CNTL__BUS_PERR_DATA_EN__SHIFT                       6
#define PCIC_BUS_CNTL__BUS_GRANT_LENGTH__SIZE                        4
#define PCIC_BUS_CNTL__BUS_GRANT_LENGTH__MASK                        0x00000f00
#define PCIC_BUS_CNTL__BUS_GRANT_LENGTH__SHIFT                       8
#define PCIC_BUS_CNTL__SECURE_PCI__SIZE                              1
#define PCIC_BUS_CNTL__SECURE_PCI__MASK                              0x00001000
#define PCIC_BUS_CNTL__SECURE_PCI__SHIFT                             12

/* REGISTER:  PCIC_DEBUG_CNTL */

#define PCIC_DEBUG_CNTL__SIZE                                        32
#define PCIC_DEBUG_CNTL__BYTELANE                                    0
#define PCIC_DEBUG_CNTL__WRMASK                                      0x0000ffff
#define PCIC_DEBUG_CNTL__RDMASK                                      0x0000ffff
#define PCIC_DEBUG_CNTL__WOMASK                                      0x00000000

#define mmPCIC_DEBUG_CNTL                                            0x4A00

#define PCIC_DEBUG_CNTL__EN_IDE_CONFIG__SIZE                         1
#define PCIC_DEBUG_CNTL__EN_IDE_CONFIG__MASK                         0x00000001
#define PCIC_DEBUG_CNTL__EN_IDE_CONFIG__SHIFT                        0
#define PCIC_DEBUG_CNTL__EN_USB_CONFIG__SIZE                         1
#define PCIC_DEBUG_CNTL__EN_USB_CONFIG__MASK                         0x00000002
#define PCIC_DEBUG_CNTL__EN_USB_CONFIG__SHIFT                        1
#define PCIC_DEBUG_CNTL__EN_LPC_CONFIG__SIZE                         1
#define PCIC_DEBUG_CNTL__EN_LPC_CONFIG__MASK                         0x00000004
#define PCIC_DEBUG_CNTL__EN_LPC_CONFIG__SHIFT                        2
#define PCIC_DEBUG_CNTL__EN_DAIO_CONFIG__SIZE                        1
#define PCIC_DEBUG_CNTL__EN_DAIO_CONFIG__MASK                        0x00000008
#define PCIC_DEBUG_CNTL__EN_DAIO_CONFIG__SHIFT                       3
#define PCIC_DEBUG_CNTL__HW_4_DEBUG__SIZE                            1
#define PCIC_DEBUG_CNTL__HW_4_DEBUG__MASK                            0x00000010
#define PCIC_DEBUG_CNTL__HW_4_DEBUG__SHIFT                           4
#define PCIC_DEBUG_CNTL__HW_5_DEBUG__SIZE                            1
#define PCIC_DEBUG_CNTL__HW_5_DEBUG__MASK                            0x00000020
#define PCIC_DEBUG_CNTL__HW_5_DEBUG__SHIFT                           5
#define PCIC_DEBUG_CNTL__HW_6_DEBUG__SIZE                            1
#define PCIC_DEBUG_CNTL__HW_6_DEBUG__MASK                            0x00000040
#define PCIC_DEBUG_CNTL__HW_6_DEBUG__SHIFT                           6
#define PCIC_DEBUG_CNTL__HW_7_DEBUG__SIZE                            1
#define PCIC_DEBUG_CNTL__HW_7_DEBUG__MASK                            0x00000080
#define PCIC_DEBUG_CNTL__HW_7_DEBUG__SHIFT                           7
#define PCIC_DEBUG_CNTL__HW_8_DEBUG__SIZE                            1
#define PCIC_DEBUG_CNTL__HW_8_DEBUG__MASK                            0x00000100
#define PCIC_DEBUG_CNTL__HW_8_DEBUG__SHIFT                           8
#define PCIC_DEBUG_CNTL__HW_9_DEBUG__SIZE                            1
#define PCIC_DEBUG_CNTL__HW_9_DEBUG__MASK                            0x00000200
#define PCIC_DEBUG_CNTL__HW_9_DEBUG__SHIFT                           9
#define PCIC_DEBUG_CNTL__HW_10_DEBUG__SIZE                           1
#define PCIC_DEBUG_CNTL__HW_10_DEBUG__MASK                           0x00000400
#define PCIC_DEBUG_CNTL__HW_10_DEBUG__SHIFT                          10
#define PCIC_DEBUG_CNTL__HW_11_DEBUG__SIZE                           1
#define PCIC_DEBUG_CNTL__HW_11_DEBUG__MASK                           0x00000800
#define PCIC_DEBUG_CNTL__HW_11_DEBUG__SHIFT                          11
#define PCIC_DEBUG_CNTL__HW_12_DEBUG__SIZE                           1
#define PCIC_DEBUG_CNTL__HW_12_DEBUG__MASK                           0x00001000
#define PCIC_DEBUG_CNTL__HW_12_DEBUG__SHIFT                          12
#define PCIC_DEBUG_CNTL__HW_13_DEBUG__SIZE                           1
#define PCIC_DEBUG_CNTL__HW_13_DEBUG__MASK                           0x00002000
#define PCIC_DEBUG_CNTL__HW_13_DEBUG__SHIFT                          13
#define PCIC_DEBUG_CNTL__HW_14_DEBUG__SIZE                           1
#define PCIC_DEBUG_CNTL__HW_14_DEBUG__MASK                           0x00004000
#define PCIC_DEBUG_CNTL__HW_14_DEBUG__SHIFT                          14
#define PCIC_DEBUG_CNTL__HW_15_DEBUG__SIZE                           1
#define PCIC_DEBUG_CNTL__HW_15_DEBUG__MASK                           0x00008000
#define PCIC_DEBUG_CNTL__HW_15_DEBUG__SHIFT                          15


#define pciideIDE_UDMA_CONTROL                                       0x0054

#define IDE_UDMA_CONTROL__PRI_MASTR_ULTRA_ENABLE__SIZE               1
#define IDE_UDMA_CONTROL__PRI_MASTR_ULTRA_ENABLE__MASK               0x00000001
#define IDE_UDMA_CONTROL__PRI_MASTR_ULTRA_ENABLE__SHIFT              0
#define IDE_UDMA_CONTROL__PRI_SLAVE_ULTRA_ENABLE__SIZE               1
#define IDE_UDMA_CONTROL__PRI_SLAVE_ULTRA_ENABLE__MASK               0x00000002
#define IDE_UDMA_CONTROL__PRI_SLAVE_ULTRA_ENABLE__SHIFT              1
#define IDE_UDMA_CONTROL__REPORT_MODE__SIZE                          1
#define IDE_UDMA_CONTROL__REPORT_MODE__MASK                          0x00000080
#define IDE_UDMA_CONTROL__REPORT_MODE__SHIFT                         7

/* REGISTER:  IDE_UDMA_MODE */

#define IDE_UDMA_MODE__SIZE                                          16
#define IDE_UDMA_MODE__BYTELANE                                      2
#define IDE_UDMA_MODE__WRMASK                                        0x00000077
#define IDE_UDMA_MODE__RDMASK                                        0x00000077
#define IDE_UDMA_MODE__WOMASK                                        0x00000000

#define pciideIDE_UDMA_MODE                                          0x0056

#define IDE_UDMA_MODE__PRI_MASTR_ACCESS_MODE__SIZE                   3
#define IDE_UDMA_MODE__PRI_MASTR_ACCESS_MODE__MASK                   0x00000007
#define IDE_UDMA_MODE__PRI_MASTR_ACCESS_MODE__SHIFT                  0
#define IDE_UDMA_MODE__PRI_SLAVE_ACCESS_MODE__SIZE                   3
#define IDE_UDMA_MODE__PRI_SLAVE_ACCESS_MODE__MASK                   0x00000070
#define IDE_UDMA_MODE__PRI_SLAVE_ACCESS_MODE__SHIFT                  4

/* REGISTER:  RTC_CONT_REG1 */

#define RTC_CONT_REG1__SIZE                                          32
#define RTC_CONT_REG1__BYTELANE                                      0
#define RTC_CONT_REG1__WRMASK                                        0x000001ff
#define RTC_CONT_REG1__RDMASK                                        0x000001ff
#define RTC_CONT_REG1__WOMASK                                        0x00000000

#define mmRTC_CONT_REG1                                              0x4584

#define RTC_CONT_REG1__RTC_RUN_ENABLE__SIZE                          1
#define RTC_CONT_REG1__RTC_RUN_ENABLE__MASK                          0x00000001
#define RTC_CONT_REG1__RTC_RUN_ENABLE__SHIFT                         0
#define RTC_CONT_REG1__LEAP_YEAR__SIZE                               1
#define RTC_CONT_REG1__LEAP_YEAR__MASK                               0x00000002
#define RTC_CONT_REG1__LEAP_YEAR__SHIFT                              1
#define RTC_CONT_REG1__RTC_EVENT0_INTRR_EN__SIZE                     1
#define RTC_CONT_REG1__RTC_EVENT0_INTRR_EN__MASK                     0x00000004
#define RTC_CONT_REG1__RTC_EVENT0_INTRR_EN__SHIFT                    2
#define RTC_CONT_REG1__RTC_EVENT1_INTRR_EN__SIZE                     1
#define RTC_CONT_REG1__RTC_EVENT1_INTRR_EN__MASK                     0x00000008
#define RTC_CONT_REG1__RTC_EVENT1_INTRR_EN__SHIFT                    3
#define RTC_CONT_REG1__RTC_EVENT2_INTRR_EN__SIZE                     1
#define RTC_CONT_REG1__RTC_EVENT2_INTRR_EN__MASK                     0x00000010
#define RTC_CONT_REG1__RTC_EVENT2_INTRR_EN__SHIFT                    4
#define RTC_CONT_REG1__RTC_EVENT3_INTRR_EN__SIZE                     1
#define RTC_CONT_REG1__RTC_EVENT3_INTRR_EN__MASK                     0x00000020
#define RTC_CONT_REG1__RTC_EVENT3_INTRR_EN__SHIFT                    5
#define RTC_CONT_REG1__RTC_EVENT4_INTRR_EN__SIZE                     1
#define RTC_CONT_REG1__RTC_EVENT4_INTRR_EN__MASK                     0x00000040
#define RTC_CONT_REG1__RTC_EVENT4_INTRR_EN__SHIFT                    6
#define RTC_CONT_REG1__RTC_EVENT5_INTRR_EN__SIZE                     1
#define RTC_CONT_REG1__RTC_EVENT5_INTRR_EN__MASK                     0x00000080
#define RTC_CONT_REG1__RTC_EVENT5_INTRR_EN__SHIFT                    7
#define RTC_CONT_REG1__RTC_TEST_MODE__SIZE                           1
#define RTC_CONT_REG1__RTC_TEST_MODE__MASK                           0x00000100
#define RTC_CONT_REG1__RTC_TEST_MODE__SHIFT                          8


/* REGISTER:  SB_INT_STATUS */

#define SB_INT_STATUS__SIZE                                          32
#define SB_INT_STATUS__BYTELANE                                      0
#define SB_INT_STATUS__WRMASK                                        0x00000000
#define SB_INT_STATUS__RDMASK                                        0x000003f3
#define SB_INT_STATUS__WOMASK                                        0x00000000

#define mmSB_INT_STATUS                                              0x0A1C

#define SB_INT_STATUS__IDE_INT__SIZE                                 1
#define SB_INT_STATUS__IDE_INT__MASK                                 0x00000001
#define SB_INT_STATUS__IDE_INT__SHIFT                                0
#define SB_INT_STATUS__USB_INT_0__SIZE                               1
#define SB_INT_STATUS__USB_INT_0__MASK                               0x00000002
#define SB_INT_STATUS__USB_INT_0__SHIFT                              1
#define SB_INT_STATUS__LPC_INT_0__SIZE                               1
#define SB_INT_STATUS__LPC_INT_0__MASK                               0x00000010
#define SB_INT_STATUS__LPC_INT_0__SHIFT                              4
#define SB_INT_STATUS__LPC_INT_1__SIZE                               1
#define SB_INT_STATUS__LPC_INT_1__MASK                               0x00000020
#define SB_INT_STATUS__LPC_INT_1__SHIFT                              5
#define SB_INT_STATUS__LPC_INT_2__SIZE                               1
#define SB_INT_STATUS__LPC_INT_2__MASK                               0x00000040
#define SB_INT_STATUS__LPC_INT_2__SHIFT                              6
#define SB_INT_STATUS__LPC_INT_3__SIZE                               1
#define SB_INT_STATUS__LPC_INT_3__MASK                               0x00000080
#define SB_INT_STATUS__LPC_INT_3__SHIFT                              7
#define SB_INT_STATUS__DAIO_INT_0__SIZE                              1
#define SB_INT_STATUS__DAIO_INT_0__MASK                              0x00000100
#define SB_INT_STATUS__DAIO_INT_0__SHIFT                             8
#define SB_INT_STATUS__DAIO_INT_1__SIZE                              1
#define SB_INT_STATUS__DAIO_INT_1__MASK                              0x00000200
#define SB_INT_STATUS__DAIO_INT_1__SHIFT                             9


/* REGISTER:  STRAPS_VALUE */

#define STRAPS_VALUE__SIZE                                           32
#define STRAPS_VALUE__BYTELANE                                       0
#define STRAPS_VALUE__WRMASK                                         0x00000000
#define STRAPS_VALUE__RDMASK                                         0xffffffff
#define STRAPS_VALUE__WOMASK                                         0x00000000

#define mmSTRAPS_VALUE                                               0x0048
#define blockioSTRAPS_VALUE                                          0x0048

#define STRAPS_VALUE__STRAPS__SIZE                                   32
#define STRAPS_VALUE__STRAPS__MASK                                   0xffffffff
#define STRAPS_VALUE__STRAPS__SHIFT                                  0

/* REGISTER:  UIRT_CNTL */

#define UIRT_CNTL__SIZE                                              32
#define UIRT_CNTL__BYTELANE                                          0
#define UIRT_CNTL__WRMASK                                            0xc003ffff
#define UIRT_CNTL__RDMASK                                            0xc000ffff
#define UIRT_CNTL__WOMASK                                            0x00030000

#define mmpcuipaUIRT_CNTL                                            0x00A4

#define UIRT_CNTL__RCVR_FIFO_TIMEOUT__SIZE                           16
#define UIRT_CNTL__RCVR_FIFO_TIMEOUT__MASK                           0x0000ffff
#define UIRT_CNTL__RCVR_FIFO_TIMEOUT__SHIFT                          0
#define UIRT_CNTL__RCVR_SOFTRESET__SIZE                              1
#define UIRT_CNTL__RCVR_SOFTRESET__MASK                              0x00010000
#define UIRT_CNTL__RCVR_SOFTRESET__SHIFT                             16
#define UIRT_CNTL__XMIT_SOFTRESET__SIZE                              1
#define UIRT_CNTL__XMIT_SOFTRESET__MASK                              0x00020000
#define UIRT_CNTL__XMIT_SOFTRESET__SHIFT                             17
#define UIRT_CNTL__EN_FULL_DUPLEX__SIZE                              1
#define UIRT_CNTL__EN_FULL_DUPLEX__MASK                              0x40000000
#define UIRT_CNTL__EN_FULL_DUPLEX__SHIFT                             30
#define UIRT_CNTL__LOOPBACK_EN__SIZE                                 1
#define UIRT_CNTL__LOOPBACK_EN__MASK                                 0x80000000
#define UIRT_CNTL__LOOPBACK_EN__SHIFT                                31


/* REGISTER:  UIRT_XMIT_FIFO */

#define mmpcuipaUIRT_XMIT_FIFO                                       0x0080

/* REGISTER:  UIRT_SAMPLE_CLKDIV */

#define mmpcuipaUIRT_SAMPLE_CLKDIV                                   0x0090

#define UIRT_SAMPLE_CLKDIV__RCVR_SAMPLE_DIV__MASK                    0xffff0000
#define UIRT_SAMPLE_CLKDIV__RCVR_SAMPLE_DIV__SHIFT                   16


/* REGISTER:  UIRT_XMIT_CNTL */

#define UIRT_XMIT_CNTL__SIZE                                         32
#define UIRT_XMIT_CNTL__BYTELANE                                     0
#define UIRT_XMIT_CNTL__WRMASK                                       0xf00000f3
#define UIRT_XMIT_CNTL__RDMASK                                       0xf00000f3
#define UIRT_XMIT_CNTL__WOMASK                                       0x00000000

#define mmpcuipaUIRT_XMIT_CNTL                                       0x00A8

#define UIRT_XMIT_CNTL__XMIT_UNDERRUN_CNTL__SIZE                     2
#define UIRT_XMIT_CNTL__XMIT_UNDERRUN_CNTL__MASK                     0x00000003
#define UIRT_XMIT_CNTL__XMIT_UNDERRUN_CNTL__SHIFT                    0
#define UIRT_XMIT_CNTL__XMIT_FIFO_THRESHOLD__SIZE                    4
#define UIRT_XMIT_CNTL__XMIT_FIFO_THRESHOLD__MASK                    0x000000f0
#define UIRT_XMIT_CNTL__XMIT_FIFO_THRESHOLD__SHIFT                   4
#define UIRT_XMIT_CNTL__TXD_SELECT__SIZE                             2
#define UIRT_XMIT_CNTL__TXD_SELECT__MASK                             0x30000000
#define UIRT_XMIT_CNTL__TXD_SELECT__SHIFT                            28
#define UIRT_XMIT_CNTL__TXD_MASK__SIZE                               1
#define UIRT_XMIT_CNTL__TXD_MASK__MASK                               0x40000000
#define UIRT_XMIT_CNTL__TXD_MASK__SHIFT                              30
#define UIRT_XMIT_CNTL__TXD_POLARITY__SIZE                           1
#define UIRT_XMIT_CNTL__TXD_POLARITY__MASK                           0x80000000
#define UIRT_XMIT_CNTL__TXD_POLARITY__SHIFT                          31


/* REGISTER:  UIRT_XMIT_MOD_CNTL */

#define UIRT_XMIT_MOD_CNTL__SIZE                                     32
#define UIRT_XMIT_MOD_CNTL__BYTELANE                                 0
#define UIRT_XMIT_MOD_CNTL__WRMASK                                   0x17ff0fff
#define UIRT_XMIT_MOD_CNTL__RDMASK                                   0x17ff0fff
#define UIRT_XMIT_MOD_CNTL__WOMASK                                   0x00000000

#define mmpcuipaUIRT_XMIT_MOD_CNTL                                   0x0094

#define UIRT_XMIT_MOD_CNTL__XMIT_CARRIER_DIV__SIZE                   12
#define UIRT_XMIT_MOD_CNTL__XMIT_CARRIER_DIV__MASK                   0x00000fff
#define UIRT_XMIT_MOD_CNTL__XMIT_CARRIER_DIV__SHIFT                  0
#define UIRT_XMIT_MOD_CNTL__XMIT_CARRIER_HI__SIZE                    11
#define UIRT_XMIT_MOD_CNTL__XMIT_CARRIER_HI__MASK                    0x07ff0000
#define UIRT_XMIT_MOD_CNTL__XMIT_CARRIER_HI__SHIFT                   16
#define UIRT_XMIT_MOD_CNTL__XMIT_MOD_EN__SIZE                        1
#define UIRT_XMIT_MOD_CNTL__XMIT_MOD_EN__MASK                        0x10000000
#define UIRT_XMIT_MOD_CNTL__XMIT_MOD_EN__SHIFT                       28


/* REGISTER:  UIRT_RCVR_CNTL */

#define UIRT_RCVR_CNTL__SIZE                                         32
#define UIRT_RCVR_CNTL__BYTELANE                                     0
#define UIRT_RCVR_CNTL__WRMASK                                       0x800f03ff
#define UIRT_RCVR_CNTL__RDMASK                                       0x800f03ff
#define UIRT_RCVR_CNTL__WOMASK                                       0x00000000

#define mmpcuipaUIRT_RCVR_CNTL                                       0x00AC

#define UIRT_RCVR_CNTL__RCVR_STOP_SAMPLES__SIZE                      4
#define UIRT_RCVR_CNTL__RCVR_STOP_SAMPLES__MASK                      0x0000000f
#define UIRT_RCVR_CNTL__RCVR_STOP_SAMPLES__SHIFT                     0
#define UIRT_RCVR_CNTL__RCVR_START_STOP__SIZE                        3
#define UIRT_RCVR_CNTL__RCVR_START_STOP__MASK                        0x00000070
#define UIRT_RCVR_CNTL__RCVR_START_STOP__SHIFT                       4
#define UIRT_RCVR_CNTL__RCVR_SAMPLE_SYNC__SIZE                       1
#define UIRT_RCVR_CNTL__RCVR_SAMPLE_SYNC__MASK                       0x00000080
#define UIRT_RCVR_CNTL__RCVR_SAMPLE_SYNC__SHIFT                      7
#define UIRT_RCVR_CNTL__RCVR_MODE__SIZE                              1
#define UIRT_RCVR_CNTL__RCVR_MODE__MASK                              0x00000100
#define UIRT_RCVR_CNTL__RCVR_MODE__SHIFT                             8
#define UIRT_RCVR_CNTL__RCVR_OVERRUN_CNTL__SIZE                      1
#define UIRT_RCVR_CNTL__RCVR_OVERRUN_CNTL__MASK                      0x00000200
#define UIRT_RCVR_CNTL__RCVR_OVERRUN_CNTL__SHIFT                     9
#define UIRT_RCVR_CNTL__RCVR_FIFO_THRESHOLD__SIZE                    4
#define UIRT_RCVR_CNTL__RCVR_FIFO_THRESHOLD__MASK                    0x000f0000
#define UIRT_RCVR_CNTL__RCVR_FIFO_THRESHOLD__SHIFT                   16
#define UIRT_RCVR_CNTL__RXD_POLARITY__SIZE                           1
#define UIRT_RCVR_CNTL__RXD_POLARITY__MASK                           0x80000000
#define UIRT_RCVR_CNTL__RXD_POLARITY__SHIFT                          31

/* REGISTER:  UIRT_INTR_ENABLE */

#define UIRT_INTR_ENABLE__SIZE                                       32
#define UIRT_INTR_ENABLE__BYTELANE                                   0
#define UIRT_INTR_ENABLE__WRMASK                                     0x000000f3
#define UIRT_INTR_ENABLE__RDMASK                                     0x000000f3
#define UIRT_INTR_ENABLE__WOMASK                                     0x00000000

#define mmpcuipaUIRT_INTR_ENABLE                                     0x00B8

#define UIRT_INTR_ENABLE__XMIT_FIFO_EN__SIZE                         1
#define UIRT_INTR_ENABLE__XMIT_FIFO_EN__MASK                         0x00000001
#define UIRT_INTR_ENABLE__XMIT_FIFO_EN__SHIFT                        0
#define UIRT_INTR_ENABLE__XMIT_UNDERRUN_EN__SIZE                     1
#define UIRT_INTR_ENABLE__XMIT_UNDERRUN_EN__MASK                     0x00000002
#define UIRT_INTR_ENABLE__XMIT_UNDERRUN_EN__SHIFT                    1
#define UIRT_INTR_ENABLE__RCVR_FIFO_EN__SIZE                         1
#define UIRT_INTR_ENABLE__RCVR_FIFO_EN__MASK                         0x00000010
#define UIRT_INTR_ENABLE__RCVR_FIFO_EN__SHIFT                        4
#define UIRT_INTR_ENABLE__RCVR_OVERRUN_EN__SIZE                      1
#define UIRT_INTR_ENABLE__RCVR_OVERRUN_EN__MASK                      0x00000020
#define UIRT_INTR_ENABLE__RCVR_OVERRUN_EN__SHIFT                     5
#define UIRT_INTR_ENABLE__RCVR_TIMEOUT_EN__SIZE                      1
#define UIRT_INTR_ENABLE__RCVR_TIMEOUT_EN__MASK                      0x00000040
#define UIRT_INTR_ENABLE__RCVR_TIMEOUT_EN__SHIFT                     6
#define UIRT_INTR_ENABLE__MASTER_EN__SIZE                            1
#define UIRT_INTR_ENABLE__MASTER_EN__MASK                            0x00000080
#define UIRT_INTR_ENABLE__MASTER_EN__SHIFT                           7

/* REGISTER:  UIRT_INTR_STATUS */

#define UIRT_INTR_STATUS__SIZE                                       32
#define UIRT_INTR_STATUS__BYTELANE                                   0
#define UIRT_INTR_STATUS__WRMASK                                     0x00000000
#define UIRT_INTR_STATUS__RDMASK                                     0x000000f7
#define UIRT_INTR_STATUS__WOMASK                                     0x00000000

#define mmpcuipaUIRT_INTR_STATUS                                     0x00BC

#define UIRT_INTR_STATUS__XMIT_FIFO_STAT__SIZE                       1
#define UIRT_INTR_STATUS__XMIT_FIFO_STAT__MASK                       0x00000001
#define UIRT_INTR_STATUS__XMIT_FIFO_STAT__SHIFT                      0
#define UIRT_INTR_STATUS__XMIT_UNDERRUN_STAT__SIZE                   1
#define UIRT_INTR_STATUS__XMIT_UNDERRUN_STAT__MASK                   0x00000002
#define UIRT_INTR_STATUS__XMIT_UNDERRUN_STAT__SHIFT                  1
#define UIRT_INTR_STATUS__XMIT_EOT_STAT__SIZE                        1
#define UIRT_INTR_STATUS__XMIT_EOT_STAT__MASK                        0x00000004
#define UIRT_INTR_STATUS__XMIT_EOT_STAT__SHIFT                       2
#define UIRT_INTR_STATUS__RCVR_FIFO_STAT__SIZE                       1
#define UIRT_INTR_STATUS__RCVR_FIFO_STAT__MASK                       0x00000010
#define UIRT_INTR_STATUS__RCVR_FIFO_STAT__SHIFT                      4
#define UIRT_INTR_STATUS__RCVR_OVERRUN_STAT__SIZE                    1
#define UIRT_INTR_STATUS__RCVR_OVERRUN_STAT__MASK                    0x00000020
#define UIRT_INTR_STATUS__RCVR_OVERRUN_STAT__SHIFT                   5
#define UIRT_INTR_STATUS__RCVR_TIMEOUT_STAT__SIZE                    1
#define UIRT_INTR_STATUS__RCVR_TIMEOUT_STAT__MASK                    0x00000040
#define UIRT_INTR_STATUS__RCVR_TIMEOUT_STAT__SHIFT                   6
#define UIRT_INTR_STATUS__MASTER_STAT__SIZE                          1
#define UIRT_INTR_STATUS__MASTER_STAT__MASK                          0x00000080
#define UIRT_INTR_STATUS__MASTER_STAT__SHIFT                         7

/* REGISTER:  UIRT_INTR_CNTL */

#define UIRT_INTR_CNTL__SIZE                                         32
#define UIRT_INTR_CNTL__BYTELANE                                     0
#define UIRT_INTR_CNTL__WRMASK                                       0x00000026
#define UIRT_INTR_CNTL__RDMASK                                       0x00000000
#define UIRT_INTR_CNTL__WOMASK                                       0x00000026

#define mmpcuipaUIRT_INTR_CNTL                                       0x00BC

#define UIRT_INTR_CNTL__XMIT_UNDERRUN_CLR__SIZE                      1
#define UIRT_INTR_CNTL__XMIT_UNDERRUN_CLR__MASK                      0x00000002
#define UIRT_INTR_CNTL__XMIT_UNDERRUN_CLR__SHIFT                     1
#define UIRT_INTR_CNTL__XMIT_EOT_CLR__SIZE                           1
#define UIRT_INTR_CNTL__XMIT_EOT_CLR__MASK                           0x00000004
#define UIRT_INTR_CNTL__XMIT_EOT_CLR__SHIFT                          2
#define UIRT_INTR_CNTL__RCVR_OVERRUN_CLR__SIZE                       1
#define UIRT_INTR_CNTL__RCVR_OVERRUN_CLR__MASK                       0x00000020
#define UIRT_INTR_CNTL__RCVR_OVERRUN_CLR__SHIFT                      5

/* REGISTER:  UIRT_RCVR_FIFO */

#define UIRT_RCVR_FIFO__SIZE                                         32
#define UIRT_RCVR_FIFO__BYTELANE                                     0
#define UIRT_RCVR_FIFO__WRMASK                                       0x00000000
#define UIRT_RCVR_FIFO__RDMASK                                       0x0000ffff
#define UIRT_RCVR_FIFO__WOMASK                                       0x00000000

#define mmpcuipaUIRT_RCVR_FIFO                                       0x0080

#define UIRT_RCVR_FIFO__DATA__SIZE                                   16
#define UIRT_RCVR_FIFO__DATA__MASK                                   0x0000ffff
#define UIRT_RCVR_FIFO__DATA__SHIFT                                  0



/* REGISTER:  UIRT_RCVR_DEMOD_CNTL */

#define UIRT_RCVR_DEMOD_CNTL__SIZE                                   32
#define UIRT_RCVR_DEMOD_CNTL__BYTELANE                               0
#define UIRT_RCVR_DEMOD_CNTL__WRMASK                                 0x17ff7fff
#define UIRT_RCVR_DEMOD_CNTL__RDMASK                                 0x17ff7fff
#define UIRT_RCVR_DEMOD_CNTL__WOMASK                                 0x00000000

#define mmpcuipaUIRT_RCVR_DEMOD_CNTL                                 0x0098

#define UIRT_RCVR_DEMOD_CNTL__RCVR_DEMOD_DIV__SIZE                   12
#define UIRT_RCVR_DEMOD_CNTL__RCVR_DEMOD_DIV__MASK                   0x00000fff
#define UIRT_RCVR_DEMOD_CNTL__RCVR_DEMOD_DIV__SHIFT                  0
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_QFACTOR__SIZE                    3
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_QFACTOR__MASK                    0x00007000
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_QFACTOR__SHIFT                   12
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_THRESHOLD__SIZE                  11
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_THRESHOLD__MASK                  0x07ff0000
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_THRESHOLD__SHIFT                 16
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_EN__SIZE                         1
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_EN__MASK                         0x10000000
#define UIRT_RCVR_DEMOD_CNTL__DEMOD_EN__SHIFT                        28

/* REGISTER:  UIRT_RCVR_NOISE_CNTL */

#define UIRT_RCVR_NOISE_CNTL__SIZE                                   32
#define UIRT_RCVR_NOISE_CNTL__BYTELANE                               0
#define UIRT_RCVR_NOISE_CNTL__WRMASK                                 0xff730fff
#define UIRT_RCVR_NOISE_CNTL__RDMASK                                 0xff730fff
#define UIRT_RCVR_NOISE_CNTL__WOMASK                                 0x00000000

#define mmpcuipaUIRT_RCVR_NOISE_CNTL                                 0x009C

#define UIRT_RCVR_NOISE_CNTL__RCVR_NOISE_DIV__SIZE                   12
#define UIRT_RCVR_NOISE_CNTL__RCVR_NOISE_DIV__MASK                   0x00000fff
#define UIRT_RCVR_NOISE_CNTL__RCVR_NOISE_DIV__SHIFT                  0
#define UIRT_RCVR_NOISE_CNTL__NOISE_FILTER_MODE__SIZE                2
#define UIRT_RCVR_NOISE_CNTL__NOISE_FILTER_MODE__MASK                0x00030000
#define UIRT_RCVR_NOISE_CNTL__NOISE_FILTER_MODE__SHIFT               16
#define UIRT_RCVR_NOISE_CNTL__NOISE_FILTER_CNTL__SIZE                3
#define UIRT_RCVR_NOISE_CNTL__NOISE_FILTER_CNTL__MASK                0x00700000
#define UIRT_RCVR_NOISE_CNTL__NOISE_FILTER_CNTL__SHIFT               20
#define UIRT_RCVR_NOISE_CNTL__NOISE_START_THRESHOLD__SIZE            4
#define UIRT_RCVR_NOISE_CNTL__NOISE_START_THRESHOLD__MASK            0x0f000000
#define UIRT_RCVR_NOISE_CNTL__NOISE_START_THRESHOLD__SHIFT           24
#define UIRT_RCVR_NOISE_CNTL__NOISE_STOP_THRESHOLD__SIZE             4
#define UIRT_RCVR_NOISE_CNTL__NOISE_STOP_THRESHOLD__MASK             0xf0000000
#define UIRT_RCVR_NOISE_CNTL__NOISE_STOP_THRESHOLD__SHIFT            28

/* REGISTER:  UIRT_STATUS */

#define UIRT_STATUS__SIZE                                            32
#define UIRT_STATUS__BYTELANE                                        0
#define UIRT_STATUS__WRMASK                                          0x00004000
#define UIRT_STATUS__RDMASK                                          0xc03fc03f
#define UIRT_STATUS__WOMASK                                          0x00000000

#define mmpcuipaUIRT_STATUS                                          0x00A0

#define UIRT_STATUS__XMIT_FIFO_AVAIL__SIZE                           6
#define UIRT_STATUS__XMIT_FIFO_AVAIL__MASK                           0x0000003f
#define UIRT_STATUS__XMIT_FIFO_AVAIL__SHIFT                          0
#define UIRT_STATUS__TXFIFO_PENDING_ERR__SIZE                        1
#define UIRT_STATUS__TXFIFO_PENDING_ERR__MASK                        0x00004000
#define UIRT_STATUS__TXFIFO_PENDING_ERR__SHIFT                       14
#define UIRT_STATUS__XMIT_ACTIVE__SIZE                               1
#define UIRT_STATUS__XMIT_ACTIVE__MASK                               0x00008000
#define UIRT_STATUS__XMIT_ACTIVE__SHIFT                              15
#define UIRT_STATUS__RCVR_FIFO_AVAIL__SIZE                           6
#define UIRT_STATUS__RCVR_FIFO_AVAIL__MASK                           0x003f0000
#define UIRT_STATUS__RCVR_FIFO_AVAIL__SHIFT                          16
#define UIRT_STATUS__RCVR_DATA_IN__SIZE                              1
#define UIRT_STATUS__RCVR_DATA_IN__MASK                              0x40000000
#define UIRT_STATUS__RCVR_DATA_IN__SHIFT                             30
#define UIRT_STATUS__RCVR_ACTIVE__SIZE                               1
#define UIRT_STATUS__RCVR_ACTIVE__MASK                               0x80000000
#define UIRT_STATUS__RCVR_ACTIVE__SHIFT                              31


/* REGISTER:  IDE_BM_BASE */

#define IDE_BM_BASE__SIZE                                            32
#define IDE_BM_BASE__BYTELANE                                        0
#define IDE_BM_BASE__WRMASK                                          0x0000fff0
#define IDE_BM_BASE__RDMASK                                          0x0000fff1
#define IDE_BM_BASE__WOMASK                                          0x00000000

#define pciideIDE_BM_BASE                                            0x0020

#define IDE_BM_BASE__IO_SPACE__SIZE                                  1
#define IDE_BM_BASE__IO_SPACE__MASK                                  0x00000001
#define IDE_BM_BASE__IO_SPACE__SHIFT                                 0
#define IDE_BM_BASE__IO_BASE_ADDRESS__SIZE                           12
#define IDE_BM_BASE__IO_BASE_ADDRESS__MASK                           0x0000fff0
#define IDE_BM_BASE__IO_BASE_ADDRESS__SHIFT                          4

/* REGISTER:  IDE_PRI_BM_STATUS */

#define IDE_PRI_BM_STATUS__SIZE                                      8
#define IDE_PRI_BM_STATUS__BYTELANE                                  2
#define IDE_PRI_BM_STATUS__WRMASK                                    0x00000067
#define IDE_PRI_BM_STATUS__RDMASK                                    0x000000e7
#define IDE_PRI_BM_STATUS__WOMASK                                    0x00000000

#define ioideIDE_PRI_BM_STATUS                                       0x0002

#define IDE_PRI_BM_STATUS__BM_IDE_ACTIVE__SIZE                       1
#define IDE_PRI_BM_STATUS__BM_IDE_ACTIVE__MASK                       0x00000001
#define IDE_PRI_BM_STATUS__BM_IDE_ACTIVE__SHIFT                      0
#define IDE_PRI_BM_STATUS__BM_DMA_ERROR__SIZE                        1
#define IDE_PRI_BM_STATUS__BM_DMA_ERROR__MASK                        0x00000002
#define IDE_PRI_BM_STATUS__BM_DMA_ERROR__SHIFT                       1
#define IDE_PRI_BM_STATUS__BM_INTERRUPT__SIZE                        1
#define IDE_PRI_BM_STATUS__BM_INTERRUPT__MASK                        0x00000004
#define IDE_PRI_BM_STATUS__BM_INTERRUPT__SHIFT                       2
#define IDE_PRI_BM_STATUS__DRIVE0_DMA_CAPABLE__SIZE                  1
#define IDE_PRI_BM_STATUS__DRIVE0_DMA_CAPABLE__MASK                  0x00000020
#define IDE_PRI_BM_STATUS__DRIVE0_DMA_CAPABLE__SHIFT                 5
#define IDE_PRI_BM_STATUS__DRIVE1_DMA_CAPABLE__SIZE                  1
#define IDE_PRI_BM_STATUS__DRIVE1_DMA_CAPABLE__MASK                  0x00000040
#define IDE_PRI_BM_STATUS__DRIVE1_DMA_CAPABLE__SHIFT                 6
#define IDE_PRI_BM_STATUS__SIMPLEX_ONLY__SIZE                        1
#define IDE_PRI_BM_STATUS__SIMPLEX_ONLY__MASK                        0x00000080
#define IDE_PRI_BM_STATUS__SIMPLEX_ONLY__SHIFT                       7

/* REGISTER:  IDE_PIO_MODE */

#define IDE_PIO_MODE__SIZE                                           16
#define IDE_PIO_MODE__BYTELANE                                       2
#define IDE_PIO_MODE__WRMASK                                         0x00000077
#define IDE_PIO_MODE__RDMASK                                         0x00000077
#define IDE_PIO_MODE__WOMASK                                         0x00000000

#define pciideIDE_PIO_MODE                                           0x004A

#define IDE_PIO_MODE__PRI_MASTR_ACCESS_MODE__SIZE                    3
#define IDE_PIO_MODE__PRI_MASTR_ACCESS_MODE__MASK                    0x00000007
#define IDE_PIO_MODE__PRI_MASTR_ACCESS_MODE__SHIFT                   0
#define IDE_PIO_MODE__PRI_SLAVE_ACCESS_MODE__SIZE                    3
#define IDE_PIO_MODE__PRI_SLAVE_ACCESS_MODE__MASK                    0x00000070
#define IDE_PIO_MODE__PRI_SLAVE_ACCESS_MODE__SHIFT                   4

/* REGISTER:  IDE_PIO_TIMING */

#define IDE_PIO_TIMING__SIZE                                         32
#define IDE_PIO_TIMING__BYTELANE                                     0
#define IDE_PIO_TIMING__WRMASK                                       0x0000ffff
#define IDE_PIO_TIMING__RDMASK                                       0x0000ffff
#define IDE_PIO_TIMING__WOMASK                                       0x00000000

#define pciideIDE_PIO_TIMING                                         0x0040

#define IDE_PIO_TIMING__PRI_SLAVE_CMD_RECOVERY__SIZE                 4
#define IDE_PIO_TIMING__PRI_SLAVE_CMD_RECOVERY__MASK                 0x0000000f
#define IDE_PIO_TIMING__PRI_SLAVE_CMD_RECOVERY__SHIFT                0
#define IDE_PIO_TIMING__PRI_SLAVE_CMD_WIDTH__SIZE                    4
#define IDE_PIO_TIMING__PRI_SLAVE_CMD_WIDTH__MASK                    0x000000f0
#define IDE_PIO_TIMING__PRI_SLAVE_CMD_WIDTH__SHIFT                   4
#define IDE_PIO_TIMING__PRI_MASTR_CMD_RECOVERY__SIZE                 4
#define IDE_PIO_TIMING__PRI_MASTR_CMD_RECOVERY__MASK                 0x00000f00
#define IDE_PIO_TIMING__PRI_MASTR_CMD_RECOVERY__SHIFT                8
#define IDE_PIO_TIMING__PRI_MASTR_CMD_WIDTH__SIZE                    4
#define IDE_PIO_TIMING__PRI_MASTR_CMD_WIDTH__MASK                    0x0000f000
#define IDE_PIO_TIMING__PRI_MASTR_CMD_WIDTH__SHIFT                   12

/* REGISTER:  IDE_PIO_CONTROL */

#define IDE_PIO_CONTROL__SIZE                                        16
#define IDE_PIO_CONTROL__BYTELANE                                    0
#define IDE_PIO_CONTROL__WRMASK                                      0x000000f1
#define IDE_PIO_CONTROL__RDMASK                                      0x000000f1
#define IDE_PIO_CONTROL__WOMASK                                      0x00000000

#define pciideIDE_PIO_CONTROL                                        0x0048

#define IDE_PIO_CONTROL__PRI_DISABLE__SIZE                           1
#define IDE_PIO_CONTROL__PRI_DISABLE__MASK                           0x00000001
#define IDE_PIO_CONTROL__PRI_DISABLE__SHIFT                          0
#define IDE_PIO_CONTROL__PRI_SLAVE_POSTWRITE_EN__SIZE                1
#define IDE_PIO_CONTROL__PRI_SLAVE_POSTWRITE_EN__MASK                0x00000010
#define IDE_PIO_CONTROL__PRI_SLAVE_POSTWRITE_EN__SHIFT               4
#define IDE_PIO_CONTROL__PRI_MASTR_POSTWRITE_EN__SIZE                1
#define IDE_PIO_CONTROL__PRI_MASTR_POSTWRITE_EN__MASK                0x00000020
#define IDE_PIO_CONTROL__PRI_MASTR_POSTWRITE_EN__SHIFT               5
#define IDE_PIO_CONTROL__PRI_SLAVE_PREFETCH_EN__SIZE                 1
#define IDE_PIO_CONTROL__PRI_SLAVE_PREFETCH_EN__MASK                 0x00000040
#define IDE_PIO_CONTROL__PRI_SLAVE_PREFETCH_EN__SHIFT                6
#define IDE_PIO_CONTROL__PRI_MASTR_PREFETCH_EN__SIZE                 1
#define IDE_PIO_CONTROL__PRI_MASTR_PREFETCH_EN__MASK                 0x00000080
#define IDE_PIO_CONTROL__PRI_MASTR_PREFETCH_EN__SHIFT                7

/* REGISTER:  IDE_DMA_TIMING */

#define IDE_DMA_TIMING__SIZE                                         32
#define IDE_DMA_TIMING__BYTELANE                                     0
#define IDE_DMA_TIMING__WRMASK                                       0x0000ffff
#define IDE_DMA_TIMING__RDMASK                                       0x0000ffff
#define IDE_DMA_TIMING__WOMASK                                       0x00000000

#define pciideIDE_DMA_TIMING                                         0x0044

#define IDE_DMA_TIMING__PRI_SLAVE_CMD_RECOVERY__SIZE                 4
#define IDE_DMA_TIMING__PRI_SLAVE_CMD_RECOVERY__MASK                 0x0000000f
#define IDE_DMA_TIMING__PRI_SLAVE_CMD_RECOVERY__SHIFT                0
#define IDE_DMA_TIMING__PRI_SLAVE_CMD_WIDTH__SIZE                    4
#define IDE_DMA_TIMING__PRI_SLAVE_CMD_WIDTH__MASK                    0x000000f0
#define IDE_DMA_TIMING__PRI_SLAVE_CMD_WIDTH__SHIFT                   4
#define IDE_DMA_TIMING__PRI_MASTR_CMD_RECOVERY__SIZE                 4
#define IDE_DMA_TIMING__PRI_MASTR_CMD_RECOVERY__MASK                 0x00000f00
#define IDE_DMA_TIMING__PRI_MASTR_CMD_RECOVERY__SHIFT                8
#define IDE_DMA_TIMING__PRI_MASTR_CMD_WIDTH__SIZE                    4
#define IDE_DMA_TIMING__PRI_MASTR_CMD_WIDTH__MASK                    0x0000f000
#define IDE_DMA_TIMING__PRI_MASTR_CMD_WIDTH__SHIFT                   12

/* REGISTER:  PCIC_BUSSLAVE_CNTL */

#define PCIC_BUSSLAVE_CNTL__SIZE                                     32
#define PCIC_BUSSLAVE_CNTL__BYTELANE                                 0
#define PCIC_BUSSLAVE_CNTL__WRMASK                                   0x0001ff1f
#define PCIC_BUSSLAVE_CNTL__RDMASK                                   0x0000ff1e
#define PCIC_BUSSLAVE_CNTL__WOMASK                                   0x00010001

#define mmPCIC_BUSSLAVE_CNTL                                         0x4908

#define PCIC_BUSSLAVE_CNTL__BUS_FLUSH_BUF__SIZE                      1
#define PCIC_BUSSLAVE_CNTL__BUS_FLUSH_BUF__MASK                      0x00000001
#define PCIC_BUSSLAVE_CNTL__BUS_FLUSH_BUF__SHIFT                     0
#define PCIC_BUSSLAVE_CNTL__BUS_READ_BURST__SIZE                     1
#define PCIC_BUSSLAVE_CNTL__BUS_READ_BURST__MASK                     0x00000002
#define PCIC_BUSSLAVE_CNTL__BUS_READ_BURST__SHIFT                    1
#define PCIC_BUSSLAVE_CNTL__BUS_RDY_READ_DLY__SIZE                   1
#define PCIC_BUSSLAVE_CNTL__BUS_RDY_READ_DLY__MASK                   0x00000004
#define PCIC_BUSSLAVE_CNTL__BUS_RDY_READ_DLY__SHIFT                  2
#define PCIC_BUSSLAVE_CNTL__BUS_PCI_READ_RETRY_EN__SIZE              1
#define PCIC_BUSSLAVE_CNTL__BUS_PCI_READ_RETRY_EN__MASK              0x00000008
#define PCIC_BUSSLAVE_CNTL__BUS_PCI_READ_RETRY_EN__SHIFT             3
#define PCIC_BUSSLAVE_CNTL__BUS_PCI_WRT_RETRY_EN__SIZE               1
#define PCIC_BUSSLAVE_CNTL__BUS_PCI_WRT_RETRY_EN__MASK               0x00000010
#define PCIC_BUSSLAVE_CNTL__BUS_PCI_WRT_RETRY_EN__SHIFT              4
#define PCIC_BUSSLAVE_CNTL__BUS_RETRY_WS__SIZE                       4
#define PCIC_BUSSLAVE_CNTL__BUS_RETRY_WS__MASK                       0x00000f00
#define PCIC_BUSSLAVE_CNTL__BUS_RETRY_WS__SHIFT                      8
#define PCIC_BUSSLAVE_CNTL__USE_PREFETCH_SZ__SIZE                    1
#define PCIC_BUSSLAVE_CNTL__USE_PREFETCH_SZ__MASK                    0x00001000
#define PCIC_BUSSLAVE_CNTL__USE_PREFETCH_SZ__SHIFT                   12
#define PCIC_BUSSLAVE_CNTL__PREFETCH_SZ__SIZE                        3
#define PCIC_BUSSLAVE_CNTL__PREFETCH_SZ__MASK                        0x0000e000
#define PCIC_BUSSLAVE_CNTL__PREFETCH_SZ__SHIFT                       13
#define PCIC_BUSSLAVE_CNTL__CACHE_INVALIDATE_EN__SIZE                1
#define PCIC_BUSSLAVE_CNTL__CACHE_INVALIDATE_EN__MASK                0x00010000
#define PCIC_BUSSLAVE_CNTL__CACHE_INVALIDATE_EN__SHIFT               16

/* REGISTER:  RTC_READBACK_REG */

#define RTC_READBACK_REG__SIZE                                       32
#define RTC_READBACK_REG__BYTELANE                                   0
#define RTC_READBACK_REG__WRMASK                                     0x00000000
#define RTC_READBACK_REG__RDMASK                                     0x03ffffff
#define RTC_READBACK_REG__WOMASK                                     0x00000000

#define mmRTC_READBACK_REG                                           0x45C4

#define RTC_READBACK_REG__CURRENT_SECONDS__SIZE                      6
#define RTC_READBACK_REG__CURRENT_SECONDS__MASK                      0x0000003f
#define RTC_READBACK_REG__CURRENT_SECONDS__SHIFT                     0
#define RTC_READBACK_REG__CURRENT_MINUTES__SIZE                      6
#define RTC_READBACK_REG__CURRENT_MINUTES__MASK                      0x00000fc0
#define RTC_READBACK_REG__CURRENT_MINUTES__SHIFT                     6
#define RTC_READBACK_REG__CURRENT_HOURS__SIZE                        5
#define RTC_READBACK_REG__CURRENT_HOURS__MASK                        0x0001f000
#define RTC_READBACK_REG__CURRENT_HOURS__SHIFT                       12
#define RTC_READBACK_REG__CURRENT_DAYS__SIZE                         5
#define RTC_READBACK_REG__CURRENT_DAYS__MASK                         0x003e0000
#define RTC_READBACK_REG__CURRENT_DAYS__SHIFT                        17
#define RTC_READBACK_REG__CURRENT_MONTHS__SIZE                       4
#define RTC_READBACK_REG__CURRENT_MONTHS__MASK                       0x03c00000
#define RTC_READBACK_REG__CURRENT_MONTHS__SHIFT                      22




/* REGISTER:  FBUS_SELECT */

#define FBUS_SELECT__SIZE                                            32
#define FBUS_SELECT__BYTELANE                                        0
#define FBUS_SELECT__WRMASK                                          0x000000ff
#define FBUS_SELECT__RDMASK                                          0x000000ff
#define FBUS_SELECT__WOMASK                                          0x00000000

#define mmFBUS_SELECT                                                0x08FC

#define FBUS_SELECT__FBUS_SELECTION__SIZE                            8
#define FBUS_SELECT__FBUS_SELECTION__MASK                            0x000000ff
#define FBUS_SELECT__FBUS_SELECTION__SHIFT                           0


/* REGISTER:  I2S_I2C_VIP_GPIO_DATA */

#define I2S_I2C_VIP_GPIO_DATA__SIZE                                  32
#define I2S_I2C_VIP_GPIO_DATA__BYTELANE                              0
#define I2S_I2C_VIP_GPIO_DATA__WRMASK                                0x000007ff
#define I2S_I2C_VIP_GPIO_DATA__RDMASK                                0x000007ff
#define I2S_I2C_VIP_GPIO_DATA__WOMASK                                0x00000000

#define mmI2S_I2C_VIP_GPIO_DATA                                      0x08B0

#define I2S_I2C_VIP_GPIO_DATA__VIP_GPIO_DATA__SIZE                   4
#define I2S_I2C_VIP_GPIO_DATA__VIP_GPIO_DATA__MASK                   0x0000000f
#define I2S_I2C_VIP_GPIO_DATA__VIP_GPIO_DATA__SHIFT                  0
#define I2S_I2C_VIP_GPIO_DATA__I2C_GPIO_DATA__SIZE                   4
#define I2S_I2C_VIP_GPIO_DATA__I2C_GPIO_DATA__MASK                   0x000000f0
#define I2S_I2C_VIP_GPIO_DATA__I2C_GPIO_DATA__SHIFT                  4
#define I2S_I2C_VIP_GPIO_DATA__I2S_GPIO_DATA__SIZE                   3
#define I2S_I2C_VIP_GPIO_DATA__I2S_GPIO_DATA__MASK                   0x00000700
#define I2S_I2C_VIP_GPIO_DATA__I2S_GPIO_DATA__SHIFT                  8

/* REGISTER:  I2S_I2C_VIP_GPIO_DIR */

#define I2S_I2C_VIP_GPIO_DIR__SIZE                                   32
#define I2S_I2C_VIP_GPIO_DIR__BYTELANE                               0
#define I2S_I2C_VIP_GPIO_DIR__WRMASK                                 0x000007ff
#define I2S_I2C_VIP_GPIO_DIR__RDMASK                                 0x000007ff
#define I2S_I2C_VIP_GPIO_DIR__WOMASK                                 0x00000000

#define mmI2S_I2C_VIP_GPIO_DIR                                       0x08B4

#define I2S_I2C_VIP_GPIO_DIR__VIP_GPIO_DIR__SIZE                     4
#define I2S_I2C_VIP_GPIO_DIR__VIP_GPIO_DIR__MASK                     0x0000000f
#define I2S_I2C_VIP_GPIO_DIR__VIP_GPIO_DIR__SHIFT                    0
#define I2S_I2C_VIP_GPIO_DIR__I2C_GPIO_DIR__SIZE                     4
#define I2S_I2C_VIP_GPIO_DIR__I2C_GPIO_DIR__MASK                     0x000000f0
#define I2S_I2C_VIP_GPIO_DIR__I2C_GPIO_DIR__SHIFT                    4
#define I2S_I2C_VIP_GPIO_DIR__I2S_GPIO_DIR__SIZE                     3
#define I2S_I2C_VIP_GPIO_DIR__I2S_GPIO_DIR__MASK                     0x00000700
#define I2S_I2C_VIP_GPIO_DIR__I2S_GPIO_DIR__SHIFT                    8

/* REGISTER:  I2S_I2C_VIP_GPIO_MASK */

#define I2S_I2C_VIP_GPIO_MASK__SIZE                                  32
#define I2S_I2C_VIP_GPIO_MASK__BYTELANE                              0
#define I2S_I2C_VIP_GPIO_MASK__WRMASK                                0x000007ff
#define I2S_I2C_VIP_GPIO_MASK__RDMASK                                0x000007ff
#define I2S_I2C_VIP_GPIO_MASK__WOMASK                                0x00000000

#define mmI2S_I2C_VIP_GPIO_MASK                                      0x08B8

#define I2S_I2C_VIP_GPIO_MASK__VIP_GPIO_MASK__SIZE                   4
#define I2S_I2C_VIP_GPIO_MASK__VIP_GPIO_MASK__MASK                   0x0000000f
#define I2S_I2C_VIP_GPIO_MASK__VIP_GPIO_MASK__SHIFT                  0
#define I2S_I2C_VIP_GPIO_MASK__I2C_GPIO_MASK__SIZE                   4
#define I2S_I2C_VIP_GPIO_MASK__I2C_GPIO_MASK__MASK                   0x000000f0
#define I2S_I2C_VIP_GPIO_MASK__I2C_GPIO_MASK__SHIFT                  4
#define I2S_I2C_VIP_GPIO_MASK__I2S_GPIO_MASK__SIZE                   3
#define I2S_I2C_VIP_GPIO_MASK__I2S_GPIO_MASK__MASK                   0x00000700
#define I2S_I2C_VIP_GPIO_MASK__I2S_GPIO_MASK__SHIFT                  8

/* REGISTER:  I2S_I2C_VIP_GPIO_IN */

#define I2S_I2C_VIP_GPIO_IN__SIZE                                    32
#define I2S_I2C_VIP_GPIO_IN__BYTELANE                                0
#define I2S_I2C_VIP_GPIO_IN__WRMASK                                  0x00000000
#define I2S_I2C_VIP_GPIO_IN__RDMASK                                  0x000007ff
#define I2S_I2C_VIP_GPIO_IN__WOMASK                                  0x00000000

#define mmI2S_I2C_VIP_GPIO_IN                                        0x08BC

#define I2S_I2C_VIP_GPIO_IN__I2S_I2C_VIP_GPIO_STATE__SIZE            11
#define I2S_I2C_VIP_GPIO_IN__I2S_I2C_VIP_GPIO_STATE__MASK            0x000007ff
#define I2S_I2C_VIP_GPIO_IN__I2S_I2C_VIP_GPIO_STATE__SHIFT           0


/* REGISTER:  SFLASH_CNTL1 */

#define SFLASH_CNTL1__SIZE                                           32
#define SFLASH_CNTL1__BYTELANE                                       0
#define SFLASH_CNTL1__WRMASK                                         0xffffb7ff
#define SFLASH_CNTL1__RDMASK                                         0xffffb7ff
#define SFLASH_CNTL1__WOMASK                                         0x00000000

#define mmSFLASH_CNTL1                                               0x2C00

#define SFLASH_CNTL1__WRITE_ENABLE__SIZE                             1
#define SFLASH_CNTL1__WRITE_ENABLE__MASK                             0x00000001
#define SFLASH_CNTL1__WRITE_ENABLE__SHIFT                            0
#define SFLASH_CNTL1__WRITE_DISABLE__SIZE                            1
#define SFLASH_CNTL1__WRITE_DISABLE__MASK                            0x00000002
#define SFLASH_CNTL1__WRITE_DISABLE__SHIFT                           1
#define SFLASH_CNTL1__READ_CONFIG__SIZE                              1
#define SFLASH_CNTL1__READ_CONFIG__MASK                              0x00000004
#define SFLASH_CNTL1__READ_CONFIG__SHIFT                             2
#define SFLASH_CNTL1__WRITE_CONFIG__SIZE                             1
#define SFLASH_CNTL1__WRITE_CONFIG__MASK                             0x00000008
#define SFLASH_CNTL1__WRITE_CONFIG__SHIFT                            3
#define SFLASH_CNTL1__READ_STATUS__SIZE                              1
#define SFLASH_CNTL1__READ_STATUS__MASK                              0x00000010
#define SFLASH_CNTL1__READ_STATUS__SHIFT                             4
#define SFLASH_CNTL1__SECT_TO_SRAM__SIZE                             1
#define SFLASH_CNTL1__SECT_TO_SRAM__MASK                             0x00000020
#define SFLASH_CNTL1__SECT_TO_SRAM__SHIFT                            5
#define SFLASH_CNTL1__BCNT_OVER_WTE_EN__SIZE                         1
#define SFLASH_CNTL1__BCNT_OVER_WTE_EN__MASK                         0x00000040
#define SFLASH_CNTL1__BCNT_OVER_WTE_EN__SHIFT                        6
#define SFLASH_CNTL1__SOFT_RESET__SIZE                               1
#define SFLASH_CNTL1__SOFT_RESET__MASK                               0x00000080
#define SFLASH_CNTL1__SOFT_RESET__SHIFT                              7
#define SFLASH_CNTL1__WTRIG_PRE_FLD_SCK_PRESCALE__SIZE               1
#define SFLASH_CNTL1__WTRIG_PRE_FLD_SCK_PRESCALE__MASK               0x00000100
#define SFLASH_CNTL1__WTRIG_PRE_FLD_SCK_PRESCALE__SHIFT              8
#define SFLASH_CNTL1__SEPST10_EN__SIZE                               1
#define SFLASH_CNTL1__SEPST10_EN__MASK                               0x00000200
#define SFLASH_CNTL1__SEPST10_EN__SHIFT                              9
#define SFLASH_CNTL1__SEPST05_EN__SIZE                               1
#define SFLASH_CNTL1__SEPST05_EN__MASK                               0x00000400
#define SFLASH_CNTL1__SEPST05_EN__SHIFT                              10
#define SFLASH_CNTL1__SEPISSI_EN__SIZE                               1
#define SFLASH_CNTL1__SEPISSI_EN__MASK                               0x00001000
#define SFLASH_CNTL1__SEPISSI_EN__SHIFT                              12
#define SFLASH_CNTL1__SEPATMEL_EN__SIZE                              1
#define SFLASH_CNTL1__SEPATMEL_EN__MASK                              0x00002000
#define SFLASH_CNTL1__SEPATMEL_EN__SHIFT                             13
#define SFLASH_CNTL1__RB_MASK__SIZE                                  1
#define SFLASH_CNTL1__RB_MASK__MASK                                  0x00008000
#define SFLASH_CNTL1__RB_MASK__SHIFT                                 15
#define SFLASH_CNTL1__BYTE_CNT__SIZE                                 8
#define SFLASH_CNTL1__BYTE_CNT__MASK                                 0x00ff0000
#define SFLASH_CNTL1__BYTE_CNT__SHIFT                                16
#define SFLASH_CNTL1__SCK_PRESCALE__SIZE                             8
#define SFLASH_CNTL1__SCK_PRESCALE__MASK                             0xff000000
#define SFLASH_CNTL1__SCK_PRESCALE__SHIFT                            24

/* REGISTER:  SFLASH_CNTL2_STATUS */

#define SFLASH_CNTL2_STATUS__SIZE                                    32
#define SFLASH_CNTL2_STATUS__BYTELANE                                0
#define SFLASH_CNTL2_STATUS__WRMASK                                  0x07ff01ff
#define SFLASH_CNTL2_STATUS__RDMASK                                  0x07ffffff
#define SFLASH_CNTL2_STATUS__WOMASK                                  0x00000000

#define mmSFLASH_CNTL2_STATUS                                        0x2C04

#define SFLASH_CNTL2_STATUS__WAIT_CYCLE__SIZE                        8
#define SFLASH_CNTL2_STATUS__WAIT_CYCLE__MASK                        0x000000ff
#define SFLASH_CNTL2_STATUS__WAIT_CYCLE__SHIFT                       0
#define SFLASH_CNTL2_STATUS__AUTO_ADDR_SAMPLE__SIZE                  1
#define SFLASH_CNTL2_STATUS__AUTO_ADDR_SAMPLE__MASK                  0x00000100
#define SFLASH_CNTL2_STATUS__AUTO_ADDR_SAMPLE__SHIFT                 8
#define SFLASH_CNTL2_STATUS__STATE_IDLEb__SIZE                       1
#define SFLASH_CNTL2_STATUS__STATE_IDLEb__MASK                       0x00000200
#define SFLASH_CNTL2_STATUS__STATE_IDLEb__SHIFT                      9
#define SFLASH_CNTL2_STATUS__SFLASH_BUSY__SIZE                       1
#define SFLASH_CNTL2_STATUS__SFLASH_BUSY__MASK                       0x00000400
#define SFLASH_CNTL2_STATUS__SFLASH_BUSY__SHIFT                      10
#define SFLASH_CNTL2_STATUS__ROMPARIF_BUSY__SIZE                     1
#define SFLASH_CNTL2_STATUS__ROMPARIF_BUSY__MASK                     0x00000800
#define SFLASH_CNTL2_STATUS__ROMPARIF_BUSY__SHIFT                    11
#define SFLASH_CNTL2_STATUS__PARIF_BUSY__SIZE                        1
#define SFLASH_CNTL2_STATUS__PARIF_BUSY__MASK                        0x00001000
#define SFLASH_CNTL2_STATUS__PARIF_BUSY__SHIFT                       12
#define SFLASH_CNTL2_STATUS__PARIFROM_BUSY__SIZE                     1
#define SFLASH_CNTL2_STATUS__PARIFROM_BUSY__MASK                     0x00002000
#define SFLASH_CNTL2_STATUS__PARIFROM_BUSY__SHIFT                    13
#define SFLASH_CNTL2_STATUS__READY_BUSY__SIZE                        1
#define SFLASH_CNTL2_STATUS__READY_BUSY__MASK                        0x00004000
#define SFLASH_CNTL2_STATUS__READY_BUSY__SHIFT                       14
#define SFLASH_CNTL2_STATUS__SEPROM_BUSY__SIZE                       1
#define SFLASH_CNTL2_STATUS__SEPROM_BUSY__MASK                       0x00008000
#define SFLASH_CNTL2_STATUS__SEPROM_BUSY__SHIFT                      15
#define SFLASH_CNTL2_STATUS__SEC_COMMAND__SIZE                       8
#define SFLASH_CNTL2_STATUS__SEC_COMMAND__MASK                       0x00ff0000
#define SFLASH_CNTL2_STATUS__SEC_COMMAND__SHIFT                      16
#define SFLASH_CNTL2_STATUS__SECTOR_ERASE__SIZE                      1
#define SFLASH_CNTL2_STATUS__SECTOR_ERASE__MASK                      0x01000000
#define SFLASH_CNTL2_STATUS__SECTOR_ERASE__SHIFT                     24
#define SFLASH_CNTL2_STATUS__SECTOR_TO_ERASE__SIZE                   2
#define SFLASH_CNTL2_STATUS__SECTOR_TO_ERASE__MASK                   0x06000000
#define SFLASH_CNTL2_STATUS__SECTOR_TO_ERASE__SHIFT                  25

/* REGISTER:  PFLASH_STATUS */

#define PFLASH_STATUS__SIZE                                          32
#define PFLASH_STATUS__BYTELANE                                      0
#define PFLASH_STATUS__WRMASK                                        0x8007fff8
#define PFLASH_STATUS__RDMASK                                        0x8007ffff
#define PFLASH_STATUS__WOMASK                                        0x00000000

#define mmPFLASH_STATUS                                              0x2C40

#define PFLASH_STATUS__PFLASH_BUSY__SIZE                             1
#define PFLASH_STATUS__PFLASH_BUSY__MASK                             0x00000001
#define PFLASH_STATUS__PFLASH_BUSY__SHIFT                            0
#define PFLASH_STATUS__SMPARIF_BUSY__SIZE                            1
#define PFLASH_STATUS__SMPARIF_BUSY__MASK                            0x00000002
#define PFLASH_STATUS__SMPARIF_BUSY__SHIFT                           1
#define PFLASH_STATUS__PARIF_BUSY__SIZE                              1
#define PFLASH_STATUS__PARIF_BUSY__MASK                              0x00000004
#define PFLASH_STATUS__PARIF_BUSY__SHIFT                             2
#define PFLASH_STATUS__BLOCK_ERASE_DONE__SIZE                        1
#define PFLASH_STATUS__BLOCK_ERASE_DONE__MASK                        0x00000008
#define PFLASH_STATUS__BLOCK_ERASE_DONE__SHIFT                       3
#define PFLASH_STATUS__RESET_DONE__SIZE                              1
#define PFLASH_STATUS__RESET_DONE__MASK                              0x00000010
#define PFLASH_STATUS__RESET_DONE__SHIFT                             4
#define PFLASH_STATUS__STATUS_RD_DONE__SIZE                          1
#define PFLASH_STATUS__STATUS_RD_DONE__MASK                          0x00000020
#define PFLASH_STATUS__STATUS_RD_DONE__SHIFT                         5
#define PFLASH_STATUS__ID_READ_DONE__SIZE                            1
#define PFLASH_STATUS__ID_READ_DONE__MASK                            0x00000040
#define PFLASH_STATUS__ID_READ_DONE__SHIFT                           6
#define PFLASH_STATUS__STATUS_ERROR__SIZE                            1
#define PFLASH_STATUS__STATUS_ERROR__MASK                            0x00000080
#define PFLASH_STATUS__STATUS_ERROR__SHIFT                           7
#define PFLASH_STATUS__IRR_WRREQ_INWR_FLAG__SIZE                     1
#define PFLASH_STATUS__IRR_WRREQ_INWR_FLAG__MASK                     0x00000100
#define PFLASH_STATUS__IRR_WRREQ_INWR_FLAG__SHIFT                    8
#define PFLASH_STATUS__RDREQ_INWR_FLAG__SIZE                         1
#define PFLASH_STATUS__RDREQ_INWR_FLAG__MASK                         0x00000200
#define PFLASH_STATUS__RDREQ_INWR_FLAG__SHIFT                        9
#define PFLASH_STATUS__IDRDREQ_INWR_FLAG__SIZE                       1
#define PFLASH_STATUS__IDRDREQ_INWR_FLAG__MASK                       0x00000400
#define PFLASH_STATUS__IDRDREQ_INWR_FLAG__SHIFT                      10
#define PFLASH_STATUS__STRDREQ_INWR_FLAG__SIZE                       1
#define PFLASH_STATUS__STRDREQ_INWR_FLAG__MASK                       0x00000800
#define PFLASH_STATUS__STRDREQ_INWR_FLAG__SHIFT                      11
#define PFLASH_STATUS__RSTREQ_INWR_FLAG__SIZE                        1
#define PFLASH_STATUS__RSTREQ_INWR_FLAG__MASK                        0x00001000
#define PFLASH_STATUS__RSTREQ_INWR_FLAG__SHIFT                       12
#define PFLASH_STATUS__BEREQ_INWR_FLAG__SIZE                         1
#define PFLASH_STATUS__BEREQ_INWR_FLAG__MASK                         0x00002000
#define PFLASH_STATUS__BEREQ_INWR_FLAG__SHIFT                        13
#define PFLASH_STATUS__WRREQ_INRD_FLAG__SIZE                         1
#define PFLASH_STATUS__WRREQ_INRD_FLAG__MASK                         0x00004000
#define PFLASH_STATUS__WRREQ_INRD_FLAG__SHIFT                        14
#define PFLASH_STATUS__IDRDREQ_INRD_FLAG__SIZE                       1
#define PFLASH_STATUS__IDRDREQ_INRD_FLAG__MASK                       0x00008000
#define PFLASH_STATUS__IDRDREQ_INRD_FLAG__SHIFT                      15
#define PFLASH_STATUS__STRDREQ_INRD_FLAG__SIZE                       1
#define PFLASH_STATUS__STRDREQ_INRD_FLAG__MASK                       0x00010000
#define PFLASH_STATUS__STRDREQ_INRD_FLAG__SHIFT                      16
#define PFLASH_STATUS__RSTREQ_INRD_FLAG__SIZE                        1
#define PFLASH_STATUS__RSTREQ_INRD_FLAG__MASK                        0x00020000
#define PFLASH_STATUS__RSTREQ_INRD_FLAG__SHIFT                       17
#define PFLASH_STATUS__BEREQ_INRD_FLAG__SIZE                         1
#define PFLASH_STATUS__BEREQ_INRD_FLAG__MASK                         0x00040000
#define PFLASH_STATUS__BEREQ_INRD_FLAG__SHIFT                        18
#define PFLASH_STATUS__DEBUG_EN__SIZE                                1
#define PFLASH_STATUS__DEBUG_EN__MASK                                0x80000000
#define PFLASH_STATUS__DEBUG_EN__SHIFT                               31

/* REGISTER:  PFLASH_BE_ADDR */

#define PFLASH_BE_ADDR__SIZE                                         32
#define PFLASH_BE_ADDR__BYTELANE                                     0
#define PFLASH_BE_ADDR__WRMASK                                       0x01fffe00
#define PFLASH_BE_ADDR__RDMASK                                       0x01fffe00
#define PFLASH_BE_ADDR__WOMASK                                       0x00000000

#define mmPFLASH_BE_ADDR                                             0x2C44

#define PFLASH_BE_ADDR__BLOCK_ERASE_ADDR__SIZE                       16
#define PFLASH_BE_ADDR__BLOCK_ERASE_ADDR__MASK                       0x01fffe00
#define PFLASH_BE_ADDR__BLOCK_ERASE_ADDR__SHIFT                      9

/* REGISTER:  PFLASH_ID_STAT_DATA */

#define PFLASH_ID_STAT_DATA__SIZE                                    32
#define PFLASH_ID_STAT_DATA__BYTELANE                                0
#define PFLASH_ID_STAT_DATA__WRMASK                                  0xffff00ff
#define PFLASH_ID_STAT_DATA__RDMASK                                  0xffff00ff
#define PFLASH_ID_STAT_DATA__WOMASK                                  0x00000000

#define mmPFLASH_ID_STAT_DATA                                        0x2C48

#define PFLASH_ID_STAT_DATA__PF_STATUS_DATA__SIZE                    8
#define PFLASH_ID_STAT_DATA__PF_STATUS_DATA__MASK                    0x000000ff
#define PFLASH_ID_STAT_DATA__PF_STATUS_DATA__SHIFT                   0
#define PFLASH_ID_STAT_DATA__PF_ID_DATA__SIZE                        16
#define PFLASH_ID_STAT_DATA__PF_ID_DATA__MASK                        0xffff0000
#define PFLASH_ID_STAT_DATA__PF_ID_DATA__SHIFT                       16

/* REGISTER:  PFLASH_CNTL */

#define PFLASH_CNTL__SIZE                                            32
#define PFLASH_CNTL__BYTELANE                                        0
#define PFLASH_CNTL__WRMASK                                          0x000001ff
#define PFLASH_CNTL__RDMASK                                          0x000001ff
#define PFLASH_CNTL__WOMASK                                          0x00000000

#define mmPFLASH_CNTL                                                0x2C4C

#define PFLASH_CNTL__CMD_TRIG__SIZE                                  3
#define PFLASH_CNTL__CMD_TRIG__MASK                                  0x00000007
#define PFLASH_CNTL__CMD_TRIG__SHIFT                                 0
#define PFLASH_CNTL__READ_CYCLE__SIZE                                1
#define PFLASH_CNTL__READ_CYCLE__MASK                                0x00000008
#define PFLASH_CNTL__READ_CYCLE__SHIFT                               3
#define PFLASH_CNTL__WRITE_CYCLE__SIZE                               1
#define PFLASH_CNTL__WRITE_CYCLE__MASK                               0x00000010

#define PFLASH_CNTL__WRITE_CYCLE__SHIFT                              4
#define PFLASH_CNTL__PF32MBIT_EN__SIZE                               1
#define PFLASH_CNTL__PF32MBIT_EN__MASK                               0x00000020
#define PFLASH_CNTL__PF32MBIT_EN__SHIFT                              5
#define PFLASH_CNTL__PF64MBIT_EN__SIZE                               1
#define PFLASH_CNTL__PF64MBIT_EN__MASK                               0x00000040
#define PFLASH_CNTL__PF64MBIT_EN__SHIFT                              6
#define PFLASH_CNTL__PF128MBIT_EN__SIZE                              1
#define PFLASH_CNTL__PF128MBIT_EN__MASK                              0x00000080
#define PFLASH_CNTL__PF128MBIT_EN__SHIFT                             7
#define PFLASH_CNTL__SPARE_EN__SIZE                                  1
#define PFLASH_CNTL__SPARE_EN__MASK                                  0x00000100
#define PFLASH_CNTL__SPARE_EN__SHIFT                                 8


/* REGISTER:  TEST_DEBUG_MUX */

#define TEST_DEBUG_MUX__SIZE                                         32
#define TEST_DEBUG_MUX__BYTELANE                                     0
#define TEST_DEBUG_MUX__WRMASK                                       0x007fff3f
#define TEST_DEBUG_MUX__RDMASK                                       0x007fff3f
#define TEST_DEBUG_MUX__WOMASK                                       0x00000000

#define mmTEST_DEBUG_MUX                                             0x0824

#define TEST_DEBUG_MUX__TEST_DEBUG_MUX__SIZE                         4
#define TEST_DEBUG_MUX__TEST_DEBUG_MUX__MASK                         0x0000000f
#define TEST_DEBUG_MUX__TEST_DEBUG_MUX__SHIFT                        0
#define TEST_DEBUG_MUX__TEST_DEBUG_BANK__SIZE                        2
#define TEST_DEBUG_MUX__TEST_DEBUG_BANK__MASK                        0x00000030
#define TEST_DEBUG_MUX__TEST_DEBUG_BANK__SHIFT                       4
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK__SIZE                         7
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK__MASK                         0x00007f00
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK__SHIFT                        8
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK_INV__SIZE                     1
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK_INV__MASK                     0x00008000
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK_INV__SHIFT                    15
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK2__SIZE                        7
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK2__MASK                        0x007f0000
#define TEST_DEBUG_MUX__TEST_DEBUG_CLK2__SHIFT                       16

/* REGISTER:  TEST_DEBUG_OUT */

#define TEST_DEBUG_OUT__SIZE                                         32
#define TEST_DEBUG_OUT__BYTELANE                                     0
#define TEST_DEBUG_OUT__WRMASK                                       0x00000000
#define TEST_DEBUG_OUT__RDMASK                                       0x000007ff
#define TEST_DEBUG_OUT__WOMASK                                       0x00000000

#define mmTEST_DEBUG_OUT                                             0x082C

#define TEST_DEBUG_OUT__TEST_DEBUG_OUTR__SIZE                        11
#define TEST_DEBUG_OUT__TEST_DEBUG_OUTR__MASK                        0x000007ff
#define TEST_DEBUG_OUT__TEST_DEBUG_OUTR__SHIFT                       0

/* REGISTER:  PLL_TEST_CNTL */

#define PLL_TEST_CNTL__SIZE                                          32
#define PLL_TEST_CNTL__BYTELANE                                      0
#define PLL_TEST_CNTL__WRMASK                                        0xff000307
#define PLL_TEST_CNTL__RDMASK                                        0xff000307
#define PLL_TEST_CNTL__WOMASK                                        0x00000000

#define ixPLL_TEST_CNTL                                              0x0013

#define PLL_TEST_CNTL__TST_DIV_RESET__SIZE                           1
#define PLL_TEST_CNTL__TST_DIV_RESET__MASK                           0x00000001
#define PLL_TEST_CNTL__TST_DIV_RESET__SHIFT                          0
#define PLL_TEST_CNTL__TST_DIV_SEL__SIZE                             1
#define PLL_TEST_CNTL__TST_DIV_SEL__MASK                             0x00000002
#define PLL_TEST_CNTL__TST_DIV_SEL__SHIFT                            1
#define PLL_TEST_CNTL__TST2_DIV_SEL__SIZE                            1
#define PLL_TEST_CNTL__TST2_DIV_SEL__MASK                            0x00000004
#define PLL_TEST_CNTL__TST2_DIV_SEL__SHIFT                           2
#define PLL_TEST_CNTL__TST_DIVIDERS__SIZE                            1
#define PLL_TEST_CNTL__TST_DIVIDERS__MASK                            0x00000100
#define PLL_TEST_CNTL__TST_DIVIDERS__SHIFT                           8
#define PLL_TEST_CNTL__PLL_MASK_READ_B__SIZE                         1
#define PLL_TEST_CNTL__PLL_MASK_READ_B__MASK                         0x00000200
#define PLL_TEST_CNTL__PLL_MASK_READ_B__SHIFT                        9
#define PLL_TEST_CNTL__TEST_COUNT__SIZE                              8
#define PLL_TEST_CNTL__TEST_COUNT__MASK                              0xff000000
#define PLL_TEST_CNTL__TEST_COUNT__SHIFT                             24

/* REGISTER:  PLL_TEST_MON */

#define PLL_TEST_MON__SIZE                                           32
#define PLL_TEST_MON__BYTELANE                                       0
#define PLL_TEST_MON__WRMASK                                         0x0003ffff
#define PLL_TEST_MON__RDMASK                                         0x0003ffff
#define PLL_TEST_MON__WOMASK                                         0x00000000

#define ixPLL_TEST_MON                                               0x0007

#define PLL_TEST_MON__ANALOG_MON__SIZE                               18
#define PLL_TEST_MON__ANALOG_MON__MASK                               0x0003ffff
#define PLL_TEST_MON__ANALOG_MON__SHIFT                              0
/* REGISTER:  CLOCK_CNTL_INDEX */

#define CLOCK_CNTL_INDEX__SIZE                                       32
#define CLOCK_CNTL_INDEX__BYTELANE                                   0
#define CLOCK_CNTL_INDEX__WRMASK                                     0x000003ff
#define CLOCK_CNTL_INDEX__RDMASK                                     0x000003ff
#define CLOCK_CNTL_INDEX__WOMASK                                     0x00000000

#define mmCLOCK_CNTL_INDEX                                           0x0008
#define blockioCLOCK_CNTL_INDEX                                      0x0008

#define CLOCK_CNTL_INDEX__PLL_ADDR__SIZE                             7
#define CLOCK_CNTL_INDEX__PLL_ADDR__MASK                             0x0000007f
#define CLOCK_CNTL_INDEX__PLL_ADDR__SHIFT                            0
#define CLOCK_CNTL_INDEX__PLL_WR_EN__SIZE                            1
#define CLOCK_CNTL_INDEX__PLL_WR_EN__MASK                            0x00000080
#define CLOCK_CNTL_INDEX__PLL_WR_EN__SHIFT                           7
#define CLOCK_CNTL_INDEX__PPLL_DIV_SEL__SIZE                         2
#define CLOCK_CNTL_INDEX__PPLL_DIV_SEL__MASK                         0x00000300
#define CLOCK_CNTL_INDEX__PPLL_DIV_SEL__SHIFT                        8

/* REGISTER:  CLOCK_CNTL_DATA */

#define CLOCK_CNTL_DATA__SIZE                                        32
#define CLOCK_CNTL_DATA__BYTELANE                                    0
#define CLOCK_CNTL_DATA__WRMASK                                      0xffffffff
#define CLOCK_CNTL_DATA__RDMASK                                      0xffffffff
#define CLOCK_CNTL_DATA__WOMASK                                      0x00000000

#define mmCLOCK_CNTL_DATA                                            0x000C
#define blockioCLOCK_CNTL_DATA                                       0x000C

#define CLOCK_CNTL_DATA__PLL_DATA__SIZE                              32
#define CLOCK_CNTL_DATA__PLL_DATA__MASK                              0xffffffff
#define CLOCK_CNTL_DATA__PLL_DATA__SHIFT                             0

/* REGISTER:  TIMER_CONT_REG0 */

#define TIMER_CONT_REG0__SIZE                                        32
#define TIMER_CONT_REG0__BYTELANE                                    0
#define TIMER_CONT_REG0__WRMASK                                      0x0003ffff
#define TIMER_CONT_REG0__RDMASK                                      0x00000000
#define TIMER_CONT_REG0__WOMASK                                      0x0003ffff

#define mmTIMER_CONT_REG0                                            0x4500

#define TIMER_CONT_REG0__TIMER0_RESET__SIZE                          1
#define TIMER_CONT_REG0__TIMER0_RESET__MASK                          0x00000001
#define TIMER_CONT_REG0__TIMER0_RESET__SHIFT                         0
#define TIMER_CONT_REG0__TIMER1_RESET__SIZE                          1
#define TIMER_CONT_REG0__TIMER1_RESET__MASK                          0x00000002
#define TIMER_CONT_REG0__TIMER1_RESET__SHIFT                         1
#define TIMER_CONT_REG0__TIMER2_RESET__SIZE                          1
#define TIMER_CONT_REG0__TIMER2_RESET__MASK                          0x00000004
#define TIMER_CONT_REG0__TIMER2_RESET__SHIFT                         2
#define TIMER_CONT_REG0__TIMER3_RESET__SIZE                          1
#define TIMER_CONT_REG0__TIMER3_RESET__MASK                          0x00000008
#define TIMER_CONT_REG0__TIMER3_RESET__SHIFT                         3
#define TIMER_CONT_REG0__TIMER4_RESET__SIZE                          1
#define TIMER_CONT_REG0__TIMER4_RESET__MASK                          0x00000010
#define TIMER_CONT_REG0__TIMER4_RESET__SHIFT                         4
#define TIMER_CONT_REG0__TIMER5_RESET__SIZE                          1
#define TIMER_CONT_REG0__TIMER5_RESET__MASK                          0x00000020
#define TIMER_CONT_REG0__TIMER5_RESET__SHIFT                         5
#define TIMER_CONT_REG0__TIMER0_INTRR_CLEAR__SIZE                    1
#define TIMER_CONT_REG0__TIMER0_INTRR_CLEAR__MASK                    0x00000040
#define TIMER_CONT_REG0__TIMER0_INTRR_CLEAR__SHIFT                   6
#define TIMER_CONT_REG0__TIMER1_INTRR_CLEAR__SIZE                    1
#define TIMER_CONT_REG0__TIMER1_INTRR_CLEAR__MASK                    0x00000080
#define TIMER_CONT_REG0__TIMER1_INTRR_CLEAR__SHIFT                   7
#define TIMER_CONT_REG0__TIMER2_INTRR_CLEAR__SIZE                    1
#define TIMER_CONT_REG0__TIMER2_INTRR_CLEAR__MASK                    0x00000100
#define TIMER_CONT_REG0__TIMER2_INTRR_CLEAR__SHIFT                   8
#define TIMER_CONT_REG0__TIMER3_INTRR_CLEAR__SIZE                    1
#define TIMER_CONT_REG0__TIMER3_INTRR_CLEAR__MASK                    0x00000200
#define TIMER_CONT_REG0__TIMER3_INTRR_CLEAR__SHIFT                   9
#define TIMER_CONT_REG0__TIMER4_INTRR_CLEAR__SIZE                    1
#define TIMER_CONT_REG0__TIMER4_INTRR_CLEAR__MASK                    0x00000400
#define TIMER_CONT_REG0__TIMER4_INTRR_CLEAR__SHIFT                   10
#define TIMER_CONT_REG0__TIMER5_INTRR_CLEAR__SIZE                    1
#define TIMER_CONT_REG0__TIMER5_INTRR_CLEAR__MASK                    0x00000800
#define TIMER_CONT_REG0__TIMER5_INTRR_CLEAR__SHIFT                   11
#define TIMER_CONT_REG0__TIMER0_RETRIGGER__SIZE                      1
#define TIMER_CONT_REG0__TIMER0_RETRIGGER__MASK                      0x00001000
#define TIMER_CONT_REG0__TIMER0_RETRIGGER__SHIFT                     12
#define TIMER_CONT_REG0__TIMER1_RETRIGGER__SIZE                      1
#define TIMER_CONT_REG0__TIMER1_RETRIGGER__MASK                      0x00002000
#define TIMER_CONT_REG0__TIMER1_RETRIGGER__SHIFT                     13
#define TIMER_CONT_REG0__TIMER2_RETRIGGER__SIZE                      1
#define TIMER_CONT_REG0__TIMER2_RETRIGGER__MASK                      0x00004000
#define TIMER_CONT_REG0__TIMER2_RETRIGGER__SHIFT                     14
#define TIMER_CONT_REG0__TIMER3_RETRIGGER__SIZE                      1
#define TIMER_CONT_REG0__TIMER3_RETRIGGER__MASK                      0x00008000
#define TIMER_CONT_REG0__TIMER3_RETRIGGER__SHIFT                     15
#define TIMER_CONT_REG0__TIMER4_RETRIGGER__SIZE                      1
#define TIMER_CONT_REG0__TIMER4_RETRIGGER__MASK                      0x00010000
#define TIMER_CONT_REG0__TIMER4_RETRIGGER__SHIFT                     16
#define TIMER_CONT_REG0__TIMER5_RETRIGGER__SIZE                      1
#define TIMER_CONT_REG0__TIMER5_RETRIGGER__MASK                      0x00020000
#define TIMER_CONT_REG0__TIMER5_RETRIGGER__SHIFT                     17

/* REGISTER:  TIMER_CONT_REG1 */

#define TIMER_CONT_REG1__SIZE                                        32
#define TIMER_CONT_REG1__BYTELANE                                    0
#define TIMER_CONT_REG1__WRMASK                                      0x03ffffff
#define TIMER_CONT_REG1__RDMASK                                      0x03ffffff
#define TIMER_CONT_REG1__WOMASK                                      0x00000000

#define mmTIMER_CONT_REG1                                            0x4504

#define TIMER_CONT_REG1__TIMER0_MODE__SIZE                           1
#define TIMER_CONT_REG1__TIMER0_MODE__MASK                           0x00000001
#define TIMER_CONT_REG1__TIMER0_MODE__SHIFT                          0
#define TIMER_CONT_REG1__TIMER1_MODE__SIZE                           1
#define TIMER_CONT_REG1__TIMER1_MODE__MASK                           0x00000002
#define TIMER_CONT_REG1__TIMER1_MODE__SHIFT                          1
#define TIMER_CONT_REG1__TIMER2_MODE__SIZE                           1
#define TIMER_CONT_REG1__TIMER2_MODE__MASK                           0x00000004
#define TIMER_CONT_REG1__TIMER2_MODE__SHIFT                          2
#define TIMER_CONT_REG1__TIMER3_MODE__SIZE                           1
#define TIMER_CONT_REG1__TIMER3_MODE__MASK                           0x00000008
#define TIMER_CONT_REG1__TIMER3_MODE__SHIFT                          3
#define TIMER_CONT_REG1__TIMER0_ENABLE__SIZE                         1
#define TIMER_CONT_REG1__TIMER0_ENABLE__MASK                         0x00000010
#define TIMER_CONT_REG1__TIMER0_ENABLE__SHIFT                        4
#define TIMER_CONT_REG1__TIMER1_ENABLE__SIZE                         1
#define TIMER_CONT_REG1__TIMER1_ENABLE__MASK                         0x00000020
#define TIMER_CONT_REG1__TIMER1_ENABLE__SHIFT                        5
#define TIMER_CONT_REG1__TIMER2_ENABLE__SIZE                         1
#define TIMER_CONT_REG1__TIMER2_ENABLE__MASK                         0x00000040
#define TIMER_CONT_REG1__TIMER2_ENABLE__SHIFT                        6
#define TIMER_CONT_REG1__TIMER3_ENABLE__SIZE                         1
#define TIMER_CONT_REG1__TIMER3_ENABLE__MASK                         0x00000080
#define TIMER_CONT_REG1__TIMER3_ENABLE__SHIFT                        7
#define TIMER_CONT_REG1__TIMER4_ENABLE__SIZE                         1
#define TIMER_CONT_REG1__TIMER4_ENABLE__MASK                         0x00000100
#define TIMER_CONT_REG1__TIMER4_ENABLE__SHIFT                        8
#define TIMER_CONT_REG1__TIMER5_ENABLE__SIZE                         1
#define TIMER_CONT_REG1__TIMER5_ENABLE__MASK                         0x00000200
#define TIMER_CONT_REG1__TIMER5_ENABLE__SHIFT                        9
#define TIMER_CONT_REG1__TIMER0_EXT_CONT__SIZE                       1
#define TIMER_CONT_REG1__TIMER0_EXT_CONT__MASK                       0x00000400
#define TIMER_CONT_REG1__TIMER0_EXT_CONT__SHIFT                      10
#define TIMER_CONT_REG1__TIMER1_EXT_CONT__SIZE                       1
#define TIMER_CONT_REG1__TIMER1_EXT_CONT__MASK                       0x00000800
#define TIMER_CONT_REG1__TIMER1_EXT_CONT__SHIFT                      11
#define TIMER_CONT_REG1__TIMER2_EXT_CONT__SIZE                       1
#define TIMER_CONT_REG1__TIMER2_EXT_CONT__MASK                       0x00001000
#define TIMER_CONT_REG1__TIMER2_EXT_CONT__SHIFT                      12
#define TIMER_CONT_REG1__TIMER3_EXT_CONT__SIZE                       1
#define TIMER_CONT_REG1__TIMER3_EXT_CONT__MASK                       0x00002000
#define TIMER_CONT_REG1__TIMER3_EXT_CONT__SHIFT                      13
#define TIMER_CONT_REG1__TIMER0_CONST_COUNT__SIZE                    1
#define TIMER_CONT_REG1__TIMER0_CONST_COUNT__MASK                    0x00004000
#define TIMER_CONT_REG1__TIMER0_CONST_COUNT__SHIFT                   14
#define TIMER_CONT_REG1__TIMER1_CONST_COUNT__SIZE                    1
#define TIMER_CONT_REG1__TIMER1_CONST_COUNT__MASK                    0x00008000
#define TIMER_CONT_REG1__TIMER1_CONST_COUNT__SHIFT                   15
#define TIMER_CONT_REG1__TIMER2_CONST_COUNT__SIZE                    1
#define TIMER_CONT_REG1__TIMER2_CONST_COUNT__MASK                    0x00010000
#define TIMER_CONT_REG1__TIMER2_CONST_COUNT__SHIFT                   16
#define TIMER_CONT_REG1__TIMER3_CONST_COUNT__SIZE                    1
#define TIMER_CONT_REG1__TIMER3_CONST_COUNT__MASK                    0x00020000
#define TIMER_CONT_REG1__TIMER3_CONST_COUNT__SHIFT                   17
#define TIMER_CONT_REG1__TIMER4_CONST_COUNT__SIZE                    1
#define TIMER_CONT_REG1__TIMER4_CONST_COUNT__MASK                    0x00040000
#define TIMER_CONT_REG1__TIMER4_CONST_COUNT__SHIFT                   18
#define TIMER_CONT_REG1__TIMER5_CONST_COUNT__SIZE                    1
#define TIMER_CONT_REG1__TIMER5_CONST_COUNT__MASK                    0x00080000
#define TIMER_CONT_REG1__TIMER5_CONST_COUNT__SHIFT                   19
#define TIMER_CONT_REG1__TIMER0_INTRR_ENABLE__SIZE                   1
#define TIMER_CONT_REG1__TIMER0_INTRR_ENABLE__MASK                   0x00100000
#define TIMER_CONT_REG1__TIMER0_INTRR_ENABLE__SHIFT                  20
#define TIMER_CONT_REG1__TIMER1_INTRR_ENABLE__SIZE                   1
#define TIMER_CONT_REG1__TIMER1_INTRR_ENABLE__MASK                   0x00200000
#define TIMER_CONT_REG1__TIMER1_INTRR_ENABLE__SHIFT                  21
#define TIMER_CONT_REG1__TIMER2_INTRR_ENABLE__SIZE                   1
#define TIMER_CONT_REG1__TIMER2_INTRR_ENABLE__MASK                   0x00400000
#define TIMER_CONT_REG1__TIMER2_INTRR_ENABLE__SHIFT                  22
#define TIMER_CONT_REG1__TIMER3_INTRR_ENABLE__SIZE                   1
#define TIMER_CONT_REG1__TIMER3_INTRR_ENABLE__MASK                   0x00800000
#define TIMER_CONT_REG1__TIMER3_INTRR_ENABLE__SHIFT                  23
#define TIMER_CONT_REG1__TIMER4_INTRR_ENABLE__SIZE                   1
#define TIMER_CONT_REG1__TIMER4_INTRR_ENABLE__MASK                   0x01000000
#define TIMER_CONT_REG1__TIMER4_INTRR_ENABLE__SHIFT                  24
#define TIMER_CONT_REG1__TIMER5_INTRR_ENABLE__SIZE                   1
#define TIMER_CONT_REG1__TIMER5_INTRR_ENABLE__MASK                   0x02000000
#define TIMER_CONT_REG1__TIMER5_INTRR_ENABLE__SHIFT                  25

/* REGISTER:  TIMER5_INITIALIZE_REG */

#define TIMER5_INITIALIZE_REG__SIZE                                  32
#define TIMER5_INITIALIZE_REG__BYTELANE                              0
#define TIMER5_INITIALIZE_REG__WRMASK                                0xffffffff
#define TIMER5_INITIALIZE_REG__RDMASK                                0xffffffff
#define TIMER5_INITIALIZE_REG__WOMASK                                0x00000000

#define mmTIMER5_INITIALIZE_REG                                      0x4554

#define TIMER5_INITIALIZE_REG__TIMER5_INPUT__SIZE                    32
#define TIMER5_INITIALIZE_REG__TIMER5_INPUT__MASK                    0xffffffff
#define TIMER5_INITIALIZE_REG__TIMER5_INPUT__SHIFT                   0

/* REGISTER:  TIMER5_READBACK_REG */

#define TIMER5_READBACK_REG__SIZE                                    32
#define TIMER5_READBACK_REG__BYTELANE                                0
#define TIMER5_READBACK_REG__WRMASK                                  0x00000000
#define TIMER5_READBACK_REG__RDMASK                                  0xffffffff
#define TIMER5_READBACK_REG__WOMASK                                  0x00000000

#define mmTIMER5_READBACK_REG                                        0x4574

#define TIMER5_READBACK_REG__TIMER5_COUNT__SIZE                      32
#define TIMER5_READBACK_REG__TIMER5_COUNT__MASK                      0xffffffff
#define TIMER5_READBACK_REG__TIMER5_COUNT__SHIFT                     0

